Index: extensions/PWG_Stuffs/language/ja_JP/index.php
===================================================================
--- extensions/PWG_Stuffs/language/ja_JP/index.php	(revision 5692)
+++ extensions/PWG_Stuffs/language/ja_JP/index.php	(revision 5692)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php	(revision 5692)
+++ extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php	(revision 5692)
@@ -0,0 +1,163 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'モジュール管理';
+$lang['stuffs_add_mod'] = 'モジュールを追加する';
+$lang['stuffs_edit_mod'] = 'モジュールを編集する';
+
+$lang['stuffs_module_title'] = 'モジュールタイトル';
+$lang['stuffs_desc'] = '説明';
+$lang['stuffs_only_for_admin'] = '(管理パネル専用)';
+$lang['stuffs_type'] = 'モジュールタイプ';
+$lang['stuffs_position'] = 'ポジション';
+$lang['stuffs_id_ligne'] = 'ID行';
+$lang['stuffs_width'] = '幅';
+$lang['stuffs_action'] = '操作';
+$lang['stuffs_edit'] = 'モジュールを修正する';
+$lang['stuffs_delete'] = 'モジュールを削除する';
+$lang['stuffs_confirm_delete'] = '本当にこのモジュール %s を削除してもよろしいですか?';
+$lang['stuffs_main_block'] = 'メインブロック';
+
+$lang['stuffs_add_module'] = '新しいモジュールを追加する';
+$lang['stuffs_module_config'] = 'モジュール設定';
+$lang['stuffs_visual_config'] = '表示設定';
+$lang['stuffs_module_options'] = 'モジュールオプション';
+$lang['stuffs_authorized_group'] = '認定グループ';
+$lang['stuffs_authorized_users'] = '認定ユーザ';
+$lang['stuffs_public_module'] = '(パブリックモジュールのため空にする)';
+$lang['stuffs_show_title'] = 'モジュールタイトルを表示する';
+$lang['stuffs_show_module_on'] = 'モジュールを表示する :';
+$lang['stuffs_show_on_home'] = 'メインメニュー';
+$lang['stuffs_show_on_cats'] = 'すべてのカテゴリページ';
+$lang['stuffs_show_on_pictures'] = '写真ページ';
+$lang['stuffs_no_options'] = 'このモジュールにオプションはありません。';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = '順番が標準に保存されました。';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'あなたは、モジュールを選択していません。';
+$lang['stuffs_no_name'] = 'あなたは、モジュール名を指定する必要があります。';
+
+//------------------------------------------------------------------------------
+//							Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_LastComs'] = '最新コメント';
+$lang['module_desc_LastComs'] = '最新コメントを表示する';
+
+$lang['lastcoms_no_nb_comments'] = 'あなたは、コメント数を指定する必要があります。';
+$lang['lastcoms_config'] = '設定';
+$lang['lastcoms_nb_comments'] = '表示コメント数';
+$lang['lastcoms_show_buttons'] = '管理ボタンを表示する';
+$lang['lastcoms_dim'] = 'サムネイルサイズ';
+$lang['lastcoms_width'] = '最大幅';
+$lang['lastcoms_height'] = '最大高';
+$lang['lastcoms_nb_cadres'] = '1行あたりのフレーム数';
+$lang['lastcoms_taille_cadres'] = 'フレーム高';
+
+
+//------------------------------------------------------------------------------
+//							Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_Logon'] = 'ログイン';
+$lang['module_desc_Logon'] = 'ログインブロックを表示する';
+
+$lang['logon_remove_menubar_block'] = 'メニューバーより「クイック接続」ブロックを削除する';
+
+
+//------------------------------------------------------------------------------
+//							Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_Personal'] = 'パーソナルブロック';
+$lang['module_desc_Personal'] = 'パーソナルブロックを表示する';
+
+$lang['personal_content'] = 'コンテンツ';
+
+
+//------------------------------------------------------------------------------
+//							Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_Tags'] = 'タグ';
+$lang['module_desc_Tags'] = 'ギャラリータグを表示する';
+
+$lang['stuffs_tags_default_display'] = 'タグ表示';
+$lang['stuffs_tags_cloud'] = 'タグクラウド';
+$lang['stuffs_tags_letters'] = '文字でグルーピングする';
+$lang['stuffs_tags_cumulus'] = 'カミュラスモードを使用する (プラグイン <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">カミュラス・タグクラウド</a>をインストールする必要があります)';
+
+
+//------------------------------------------------------------------------------
+//							Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3D Wall';
+$lang['module_desc_piclenswall'] = 'Piclens 3D Wallを表示する (プラグイン <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a>をインストールする必要があります)';
+
+$lang['piclenswall_height'] = 'ウォール高';
+$lang['piclenswall_background_color'] = '背景色';
+$lang['piclenswall_black'] = '黒';
+$lang['piclenswall_white'] = '白';
+$lang['piclenswall_info'] = 'ウォールが正常に動作するため';
+$lang['piclenswall_info_piclens'] = 'あなたは、<a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a>プラグインをインストールおよび有効化する必要があります。';
+$lang['piclenswall_info_crossdomain'] = 'あなたのサイトのrootに<a href="%s">crossdomain.xml</a>ファイルをコピーする必要があります (または、既存のファイルを修正する必要があります)。';
+$lang['piclenswall_info_param'] = '3D Wall設定は、<b>Cooliris-piclens/b>プラグイン設定ページにて修正する必要があります。';
+
+//------------------------------------------------------------------------------
+//							Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_MostVisited'] = '最大アクセス';
+$lang['module_desc_MostVisited'] = 'ギャラリまたはカテゴリで最もアクセスされた写真 x件を表示する';
+
+$lang['stuffs_mv_nb_images'] = '表示する写真の最大数';
+$lang['stuffs_mv_category_display'] = 'カテゴリページに表示する';
+$lang['stuffs_mv_all_cats'] = 'すべてのカテゴリ';
+$lang['stuffs_mv_w_thumb'] = 'サムネイル付きカテゴリのみ';
+$lang['stuffs_mv_wo_thumb'] = 'カテゴリなしサムネイルのみ';
+$lang['stuffs_mv_selected_cats'] = '選択したカテゴリのみ';
+
+$lang['stuffs_mv_cat_selection'] = 'カテゴリ選択';
+$lang['stuffs_mv_hold_ctrl'] = 'CTRLを保持';
+
+//------------------------------------------------------------------------------
+//							Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_BestRated'] = '最高評価';
+$lang['module_desc_BestRated'] = 'ギャラリまたはカテゴリで最高評価された写真 x件を表示する';
+
+//------------------------------------------------------------------------------
+//							Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_Recent'] = '最近の写真';
+$lang['module_desc_Recent'] = '存在する場合、ギャラリまたはカテゴリ内の最近の写真 x 件を表示する';
+
+//------------------------------------------------------------------------------
+//							Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_Random'] = 'ランダム写真';
+$lang['module_desc_Random'] = 'ギャラリまたはカテゴリ内にランダム写真 x件を表示する';
+
+//------------------------------------------------------------------------------
+//							Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_Citation'] = 'ランダムクオート';
+$lang['module_desc_Citation'] = 'ランダムクオートを表示する';
+$lang['module_Citation_lang'] = '言語';
+$lang['module_Citation_code'] = '関連コード';
+
+//------------------------------------------------------------------------------
+//							Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_FeaturedPhotos'] = '特集写真';
+$lang['module_desc_FeaturedPhotos'] = 'ウェブマスタのお気に入り写真を表示する';
+
+?>