Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 5692)
+++ /trunk/language/it_IT/admin.lang.php	(revision 5693)
@@ -255,5 +255,5 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondo].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondi].';
-$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Il tempo di preparazione della lista degli utenti per l\'invio dell\'email è limitato. Gli altri utenti non sono elencati';
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Il tempo di preparazione dell\'elenco degli utenti per l\'invio dell\'email è limitato. Gli altri utenti non sono elencati';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Il tempo per l\'invio dell\'email è limitato. L\'invio delle altre email verra ignorato.';
 $lang['To send ?'] = 'Inviare?';
@@ -315,10 +315,10 @@
 $lang['%d user was not updated.'] = '%d utente non è stato aggiornato.';
 $lang['%d users were not updated.'] = '%d utenti non sono stati aggiornati.';
-$lang['User %s [%s] was removed from the subscription list.'] = 'L\'utente %s [%s] è stato cancellato dalla lista degli iscritti.';
-$lang['User %s [%s] was added to the subscription list.'] = 'L\'utente %s [%s] è stato aggiunto alla lista degli iscritti.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'L\'utente %s [%s] è stato cancellato dall\'elenco degli iscritti.';
+$lang['User %s [%s] was added to the subscription list.'] = 'L\'utente %s [%s] è stato aggiunto all\'elenco degli iscritti.';
 $lang['%d user was updated.'] = '%d utente aggiornato.';
 $lang['%d users were updated.'] = '%d utenti aggiornati.';
-$lang['User %s [%s] was not removed from the subscription list.'] = 'L\'utente %s [%s] non è stato cancellato dalla lista degli iscritti.';
-$lang['User %s [%s] was not added to the subscription list.'] = 'L\'utente %s [%s] non è stato aggiunto alla lista degli iscritti.';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'L\'utente %s [%s] non è stato cancellato dall\'elenco degli iscritti.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'L\'utente %s [%s] non è stato aggiunto all\'elenco degli iscritti.';
 $lang['User %s [%s] added.'] = 'Utente %s [%s] aggiunto.';
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Attenzione: la sottoscrizione o la soppressione invierà un\'email agli utenti in questione';
@@ -374,5 +374,5 @@
 $lang['Edit a category'] = 'Modificare una categoria';
 $lang['Group management'] = 'Gestione gruppi';
-$lang['User list'] = 'Lista utenti';
+$lang['User list'] = 'Elenco utenti';
 $lang['Modify informations about a picture'] = 'Modificare le informazioni dell\'immagine';
 $lang['Thumbnail creation'] = 'Creazione delle miniature';
@@ -409,11 +409,11 @@
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'La versione del file "create_listing_file.php" sul server remoto deve essere la stessa di Piwigo';
 $lang['listing.xml file was not found'] = 'Il file "listing.xml" non è stato trovato';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Il file "listing.xml" non è stato trovato. Questo file è generato scegliendo il comando "genera la lista" nella sezione "Amministrazione del sito"';
-$lang['Error list'] = 'Lista degli errori';
+$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Il file "listing.xml" non è stato trovato. Questo file è generato scegliendo il comando "genera l\'elenco" nella sezione "Amministrazione del sito"';
+$lang['Error list'] = 'Elenco degli errori';
 $lang['Errors caption'] = 'Significato degli errori';
 $lang['Detailed informations'] = 'Informazioni dettagliate';
 $lang['File/directory read error'] = 'Errore in letture del file/directory';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Non è possibile accedere al file o alla directory (probabilmente non esiste o l\'accesso è stato negato)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ogni file immagine richiede una miniatura. La miniatura deve essere presente nella sottodirectory "thumbnail" della directory. Il nome del file della miniatura deve iniziare con il parametro di configurazione "prefix_thumbnail" e l\'estensione deve essere uno di valori della lista seguente:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ogni file immagine richiede una miniatura. La miniatura deve essere presente nella sottodirectory "thumbnail" della directory. Il nome del file della miniatura deve iniziare con il parametro di configurazione "prefix_thumbnail" e l\'estensione deve essere uno di valori dell\'elenco seguente:';
 $lang['missing thumbnail'] = 'miniature mancanti';
 $lang['categories deleted in the database'] = 'categorie eliminate dalla base dati';
@@ -555,5 +555,5 @@
 $lang['Automatic upgrade'] = 'Aggiornamento automatico';
 $lang['Download file'] = 'Scaricare il file';
-$lang['Plugin list'] = 'Lista dei plugins';
+$lang['Plugin list'] = 'Elenco dei plugins';
 $lang['Check for updates'] = 'Verificare gli aggiornamenti';
 $lang['Other plugins'] = 'Altri plugins disponibili';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 5692)
+++ /trunk/language/it_IT/common.lang.php	(revision 5693)
@@ -264,5 +264,5 @@
 $lang['please enter your password again'] = 'Reinserire la password, grazie.';
 $lang['Auto login'] = 'Conessione automatica';
-$lang['remove this tag from the list'] = 'Eliminare tag dalla lista';
+$lang['remove this tag from the list'] = 'Eliminare questo tag dall\'elenco';
 $lang['representative'] = 'rappresentative';
 $lang['return to homepage'] = 'Torna alla homepage';
Index: /trunk/language/it_IT/help/advanced_feature.html
===================================================================
--- /trunk/language/it_IT/help/advanced_feature.html	(revision 5692)
+++ /trunk/language/it_IT/help/advanced_feature.html	(revision 5693)
@@ -1,5 +1,5 @@
 <h2>Funzioni avanzate</h2>
 
-<p>Lista delle funzionalità speciali per gli amministratori esperti di PWG:</p>
+<p>Elenco delle funzionalità speciali per gli amministratori esperti di PWG:</p>
 
 <ul>
Index: /trunk/language/it_IT/help/cat_move.html
===================================================================
--- /trunk/language/it_IT/help/cat_move.html	(revision 5692)
+++ /trunk/language/it_IT/help/cat_move.html	(revision 5693)
@@ -6,5 +6,5 @@
 
 <p>Selezionare una o più categorie virtuali da spostare. 
-Se la lista è vuota, ciò vuole dire che non ne avete ancora creata una.</p>
+Se l'elenco è vuoto, ciò vuole dire che non ne avete ancora creato uno.</p>
 
 <h3>Nuova categoria madre</h3>
Index: /trunk/language/it_IT/help/help_groups.html
===================================================================
--- /trunk/language/it_IT/help/help_groups.html	(revision 5692)
+++ /trunk/language/it_IT/help/help_groups.html	(revision 5693)
@@ -1,3 +1,3 @@
-<p>I gruppi d'utenti permettono di dare dei permessi ad una lista di utenti.</p>
+<p>I gruppi d'utenti permettono di dare dei permessi ad un'elenco di utenti.</p>
 
 <p>È possibile creare gruppi e aggiungere degli utenti in 