Index: /extensions/floPure/Pure_clear_blue/index.php
===================================================================
--- /extensions/floPure/Pure_clear_blue/index.php	(revision 5715)
+++ /extensions/floPure/Pure_clear_blue/index.php	(revision 5715)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/floPure/Pure_clear_blue/mail-css.tpl
===================================================================
--- /extensions/floPure/Pure_clear_blue/mail-css.tpl	(revision 5715)
+++ /extensions/floPure/Pure_clear_blue/mail-css.tpl	(revision 5715)
@@ -0,0 +1,13 @@
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
+
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+color: #333;}
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/Pure_clear_blue/theme.css
===================================================================
--- /extensions/floPure/Pure_clear_blue/theme.css	(revision 5715)
+++ /extensions/floPure/Pure_clear_blue/theme.css	(revision 5715)
@@ -0,0 +1,239 @@
+/* $Id: theme.css 02-07-2008 flop25 $ */
+/* text color */
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected {
+  color:#696969;
+}
+
+/* positionnement */
+#menubar DL, #menubar DT, #the_page, BODY {
+	margin: 0px;
+	padding: 0px;
+}
+#content, .content {
+margin-right:0;
+}
+.stuffs_block {
+margin-bottom:5px!important;
+}
+
+/* backgrounds */
+BODY, H3, .throw {
+  background-color: #EDF0F3;	
+}
+
+H2, #imageHeaderBar, #imageToolBar A:hover, .row1 {
+background-color: #CAD8E1
+}
+
+#section_in, #section_right, #imageToolBar, #admin_content {
+  background-color: #CAD8E1;
+}
+.header_notes, .content,  #autre_content {
+  background-color: #CAD8E1;
+}
+
+/* backgrounds section right */
+#section_up_left{
+	background-image: url(images/endsection_header.jpg);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:16px;
+	 height:23px;
+}
+#section_up, #section_up_right{
+ background-image: url(images/endsection_backg.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+ height:23px;
+}
+#section_left{
+ background-image: url(images/section_left.jpg);
+ background-repeat:repeat-y;
+ width:16px;
+}
+#section_bottom_left{
+ background-image: url(images/section_bot_left.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:16px;
+ height:23px;
+}
+#section_bottom, #section_bottom_right{
+ background-image: url(images/section_bot_backg.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:23px;
+}
+
+/*--------menu--------------*/
+#table_content, .table_menu, #table_mbLinks, #table_mbCategories, #table_mbTags, #table_mbSpecials, #table_mbMenu, #table_mbIdentification {
+width:100%;
+border:0;
+padding:0;
+margin:0;
+}
+
+/* backgrounds menu */
+
+.blocmenu_up_right{
+ background-image: url(images/content_top_right.jpg);
+ background-repeat:no-repeat;
+ background-position:bottom;
+ width:22px;
+ height:14px;
+}
+.blocmenu_up_left{
+ background-image: url(images/content_top_left.jpg);
+  background-position:bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+.blocmenu_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+.blocmenu_in, .blocmenu_right, .blocmenu_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+.blocmenu_bottom_right{
+ background-image: url(images/content_bottom_right.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+.blocmenu_bottom_left{
+ background-image: url(images/content_bottom_left.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+.blocmenu_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+/* borders */
+/*#menubar DL, #content,*/
+#imageToolBar, 
+#comments DIV.comment BLOCKQUOTE {
+  border: 1px solid #d3d3d3;
+}
+
+#theImage IMG {
+  border-color: #d3d3d3;
+}
+
+#content UL.thumbnail IMG {
+    border: 1px solid #a0a0a0;
+}
+
+FIELDSET, INPUT, SELECT, TEXTAREA,
+#content DIV.comment  A.illustration IMG, #infos,
+#content DIV.thumbnailCategory {
+  border: 1px solid gray;
+}
+
+#comments DIV.comment BLOCKQUOTE {
+  border-left: 2px solid #696969;
+  background-color: #eee;
+}
+
+#content UL.thumbnails SPAN.wrap2 {
+  border: 1px solid #aaaaaa;	/* thumbnails border color and style */
+  border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */
+}
+
+#content UL.thumbnails SPAN.wrap2:hover,
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover,
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+  background-color: #B0C2D3;
+  border-color: #626F7B;		/* thumbnails border color when mouse cursor is over it */
+  color: black;
+}
+
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #858460;
+}
+
+#imageToolBar A, #imageToolBar A:hover {
+    border-bottom: none;
+}
+
+A.navThumb, A.navThumb:hover {
+    border-bottom: none;
+}
+
+/* others */
+.pleaseNote {
+    background: #9c9c9c;
+    color: #ffff99;
+    padding: 1ex;
+    font-weight: bold;
+}
+#comments {
+	background-repeat:repeat;
+	border:1px solid #CCCCCC;
+	margin-top: 20px;
+	margin-right: 30px;
+	margin-bottom: 2em;
+	margin-left: 30px;
+}
+#comments .description {
+  border-left: 2px solid #696969;
+  background-color: #fff;
+  color:#696969;
+}
+#comments HR {
+display:none;
+}
+
+/*calendar elements*/
+SPAN.calItemEmpty { color: silver; }
+
+SPAN.calItem, SPAN.calItemEmpty
+{
+  border: 1px solid silver;
+}
+
+/* nice looking month calendar*/
+TD.calDayCellEmpty, TD.calDayCellFull { border: 1px solid #7E7262;}
+
+TD.calDayCellEmpty { color: silver; }
+
+.calBackDate { color: #000; }
+.calForeDate { color: #fff; }
+.virtual_cat { background: #fff !important; }
+.qsearch { font-size: 80%; font-style: normal; }
+#mbMenu #quicksearch > p { text-align: left; }
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
+.tabsheet li,
+.tabsheet li a { color: #005e89; }
+.tabsheet li a:hover { color: #858460; }
+.tabsheet li { background-color: #DEE5ED; }
+.selected_tab { background-color: #FFFFFF!important; }
+ul.tabsheet { border-color: #858460; }
+.tabsheet li { border: 1px solid #696969; }
+.tabsheet li:hover { border-color: #858460 !important; }
Index: /extensions/floPure/Pure_clear_blue/themeconf.inc.php
===================================================================
--- /extensions/floPure/Pure_clear_blue/themeconf.inc.php	(revision 5715)
+++ /extensions/floPure/Pure_clear_blue/themeconf.inc.php	(revision 5715)
@@ -0,0 +1,13 @@
+<?php
+$themeconf = array(
+  'template' => 'floPure',
+  'theme' => 'clear_blue',
+  'template_dir' => 'template/floPure',
+  'icon_dir' => 'template/floPure/icon',
+  'admin_icon_dir' => 'template/floPure/icon/admin',
+  'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
+  'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '143',
+  'version' => '2.0.5',
+);
+?>