Index: /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 5716)
@@ -535,5 +535,7 @@
   </div>
 </div>
-
+<fieldset>
+  {'UAM_Support_txt'|@translate}
+</fieldset>
 
 <script type="text/javascript">
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5716)
@@ -258,5 +258,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
+$lang['reg_err_mail_address_dbl'] = 'Diese E-Mail-Adresse wird bereits verwendet.';
+$lang['UAM_Support_txt'] = 'Die offizielle Unterstützung für dieses Plugin ist nur auf diesem Diskussionsforum von Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Französisch-Forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>oder<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Englisch-Forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5716)
@@ -255,5 +255,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'Diese E-Mail-Adresse wird bereits verwendet.';
+$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
+$lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>or<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5716)
@@ -258,4 +258,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Esta dirección de correo electrónico ya se utiliza.';
+$lang['UAM_Support_txt'] = 'El apoyo oficial sobre este plugin es sólo sobre estos tema en el foro de Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Foro Francés - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>o<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Foro Inglés - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+También está disponible, el bugtracker del proyecto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5716)
@@ -255,4 +255,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Cette adresse email est déjà utilisée.';
+$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>ou<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5715)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5716)
@@ -258,4 +258,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Questo indirizzo e-mail è già utilizzato.';
+$lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum francese - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>o<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>