Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5729)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5730)
@@ -241,5 +241,4 @@
 $lang['This name is already used by another group.'] = "This name is already used by another group.";
 $lang['Groups'] = "Groups";
-$lang[''] = "";
 $lang['High definition'] = "High definition";
 $lang['jump to category'] = "jump to category";
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 5729)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 5730)
@@ -237,5 +237,4 @@
 $lang['This name is already used by another group.'] = 'Это название уже используется для другой группы.';
 $lang['Groups'] = 'Группы';
-$lang[''] = '';
 $lang['High definition'] = 'Большое разрешение';
 $lang['jump to category'] = 'перейти в категорию';
@@ -683,5 +682,5 @@
 $lang['pixels'] = 'пикселей';
 $lang['Maximum Height'] = 'Максимальная высота';
-$lang['Image Quality'] = 'Image quality';
+$lang['Image Quality'] = 'Качество изображения';
 $lang['Save Settings'] = 'Сохранить установки';
 $lang['Your configuration settings are saved'] = 'Ваши настройки конфигурации сохранены';
@@ -755,3 +754,6 @@
 $lang['Templates configuration has been recorded.'] = 'Конфигурация шаблона перезаписана.';
 $lang['Modify information'] = 'Информация по изменению';
+$lang['There is no other language available.'] = 'Нет других доступных языков.';
+$lang['There is no other plugin available.'] = 'Нет других доступных плагинов.';
+$lang['There is no other theme available.'] = 'Нет других доступных тем.';
 ?>
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 5729)
+++ /trunk/language/ru_RU/common.lang.php	(revision 5730)
@@ -86,5 +86,5 @@
 $lang['Links'] = 'Ссылки';
 $lang['Mail address'] = 'Почтовый адрес';
-$lang['N/A'] = 'N/A';
+$lang['N/A'] = 'не определен';
 $lang['New on %s'] = 'Новое в %s';
 $lang['New password confirmation does not correspond'] = 'New password confirmation does not correspond';
@@ -323,5 +323,5 @@
 $lang['Comment by %s'] = 'Комментарий от %s';
 $lang['User: %s'] = 'Посетитель: %s';
-$lang['Email: %s'] = 'Email: %s';
+$lang['Email: %s'] = 'адрес: %s';
 $lang['Admin: %s'] = 'Администратор: %s';
 $lang['Registration of %s'] = 'Регистрация %s';
Index: /trunk/language/ru_RU/install.lang.php
===================================================================
--- /trunk/language/ru_RU/install.lang.php	(revision 5729)
+++ /trunk/language/ru_RU/install.lang.php	(revision 5730)
@@ -57,3 +57,20 @@
 $lang['Webmaster mail address'] = 'Электронная почта вебмастера';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Будет использоваться для контакта посетителей с администратором';
+
+$lang['Database type'] = 'Тип базы данных';
+$lang['The type of database your piwigo data will be store in'] = 'Тип базы данных будет храниться в';
+$lang['PHP 5 is required'] = 'Требуется PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Кажется, что Ваш хостинг в настоящее время под управлением  PHP %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo может попытаться переключить Вашу конфигурацию на PHP 5, создавая или изменяя .htaccess файл.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Отметьте, что Вы можете изменить конфигурацию самостоятельно и перезапустите Piwigo после этого.';
+$lang['Try to configure PHP 5'] = 'Попытаться переконфигурировать PHP 5';
+$lang['Sorry!'] = 'Извините!';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo не в состоянии переконфигурировать PHP 5.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Вы должны обратиться к своему провайдеру за поддержой и разъяснениями  как Вы можете переключиться на PHP 5.';
+$lang['Hope to see you back soon.'] = 'Надеемся скоро увидеть Вас вновь.';
+$lang['Congratulations, Piwigo installation is completed'] = 'Поздравляем, установка Piwigo полностью завершена';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Альтернативное решение состоит в том, чтобы скопировать текст в блоке выше и вставить это в файл "local/config/database.inc.php"   (Предупреждение: database.inc.php должен только содержать то, что находится в textarea, без линий возврата строки или пробелов)';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Создать файл конфигурации local/config/database.inc.php не удалось.';
+$lang['Download the config file'] = 'Загрузить файл конфигурации';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Вы можете загрузить файл конфигурации и передать его в local/config directory.';
 ?>
Index: /trunk/language/ru_RU/upgrade.lang.php
===================================================================
--- /trunk/language/ru_RU/upgrade.lang.php	(revision 5729)
+++ /trunk/language/ru_RU/upgrade.lang.php	(revision 5730)
@@ -23,6 +23,4 @@
 
 $lang['Upgrade'] = 'Обновление';
-$lang['introduction message'] = 'Эта страница предлагает привести в соответствие вашу базу данных и текущую версию.
-Ассистент обновления считает, что сейчас работает <strong>релиз %s</strong> (или эквивалент).';
 $lang['Upgrade from version %s to %s'] = 'Обновление с версии %s до %s';
 $lang['Statistics'] = 'Статистика';
@@ -32,8 +30,6 @@
 $lang['Upgrade informations'] = 'Информация об обновлениях';
 $lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Выполните обслуживание [Администирирование> Специальное> Обслуживание] если вы столкнулись с какими-либо проблемами.';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'В качестве предосторожности, следующие плагины были отключены. Проверьте обновления плагинов перед их активацией:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Только администратор может запустить обновление: проверьте ниже.';
 $lang['You do not have access rights to run upgrade'] = 'У вас нет прав на запуск обновлений';
-$lang['in include/mysql.inc.php, before ?>, insert:'] = 'В <i>include/mysql.inc.php</i>, перед <b>?></b>, вставьте:';
 
 // Upgrade informations from upgrade_1.3.1.php
@@ -42,3 +38,8 @@
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Только префикс эскизов и адрес почты вебмастера были сохранены от предыдущей конфигурации';
 
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version.
+The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Эта страница предлагает модернизировать базу данных от Вашей старой версии Piwigo до новой версии.
+Помощник обновления думает, что Вы используете в настоящее время <b> выпуск %s </b> (или эквивалентный).';
+$lang['As a precaution, following plugins have been disabled. You must check for plugins upgrade before reactiving them:'] = 'Желательно, чтобы следующие плагины были дезактивированы. Вы должны проверить обновления плагинов прежде, чем активировать их снова:';
+
 ?>