Index: /trunk/admin/photos_add_direct.php
===================================================================
--- /trunk/admin/photos_add_direct.php	(revision 5739)
+++ /trunk/admin/photos_add_direct.php	(revision 5740)
@@ -357,4 +357,14 @@
   );
 
+// $page['thumbnails'] = array(
+//   array(
+//     'src' => 'http://localhost/piwigo/dev/trunk/upload/2006/08/16/thumbnail/TN-20060816234638-f9bebf5a.jpg',
+//     ),
+//   array(
+//     'src' => 'http://localhost/piwigo/dev/trunk/upload/2005/10/04/thumbnail/TN-20051004000000-864a003c.jpg',
+//     ),
+//   );
+// $page['batch_link'] = PHOTOS_ADD_BASE_URL.'&batch=1460,3307';
+
 if (isset($page['thumbnails']))
 {
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5739)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5740)
@@ -149,5 +149,6 @@
   <p id="batchLink"><a href="{$batch_link}">{$batch_label}</a></p>
 </fieldset>
-{/if}
+<p><a href="">Add another set of photos</a></p>
+{else}
 
 <div id="formErrors" class="errors" style="display:none">
@@ -241,5 +242,6 @@
 {/if}
 </form>
-{/if}
+{/if} {* empty($thumbnails) *}
+{/if} {* $setup_errors *}
 
 </div> <!-- photosAddContent -->
Index: unk/galleries/.cvsignore
===================================================================
--- /trunk/galleries/.cvsignore	(revision 5739)
+++ 	(revision )
@@ -1,1 +1,0 @@
-*
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 5739)
+++ /trunk/install/config.sql	(revision 5740)
@@ -19,5 +19,5 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('allow_user_registration','true','allow visitors to register?');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('allow_user_customization','true','allow users to customize their gallery?');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('nbm_send_html_mail','true','Send mail on HTML format for notification by mail');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('nbm_send_html_mail','false','Send mail on HTML format for notification by mail');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('nbm_send_mail_as','','Send mail as param value for notification by mail');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('nbm_send_detailed_content','true','Send detailed content for notification by mail');
Index: /trunk/tools/convert_language_to_2.1.pl
===================================================================
--- /trunk/tools/convert_language_to_2.1.pl	(revision 5739)
+++ /trunk/tools/convert_language_to_2.1.pl	(revision 5740)
@@ -93,4 +93,5 @@
         'The next step of the installation is now possible' => '',
         'next step' => '',
+        'install_end_message' => '',
     }
 );
Index: /trunk/tools/missing_keys.pl
===================================================================
--- /trunk/tools/missing_keys.pl	(revision 5739)
+++ /trunk/tools/missing_keys.pl	(revision 5740)
@@ -15,12 +15,12 @@
 load_registered_keys($type);
 
-# foreach my $key (sort keys %used_keys) {
-#     # print "{".$key."}", ' is used', "\n";
+foreach my $key (sort keys %used_keys) {
+    # print "{".$key."}", ' is used', "\n";
 
-#     if (not defined $registered_keys{$key}) {
-#         # print "{".$key."}", ' is missing', "\n";
-#         print '$lang[\''.$key.'\'] = \''.$key.'\';', "\n";
-#     }
-# }
+    if (not defined $registered_keys{$key}) {
+        # print "{".$key."}", ' is missing', "\n";
+        print '$lang[\''.$key.'\'] = \''.$key.'\';', "\n";
+    }
+}
 
 my %ignore_keys = (
@@ -75,9 +75,9 @@
 
 
-foreach my $key (sort keys %registered_keys) {
-    if (not defined $used_keys{$key} and not defined $ignore_keys{$key}) {
-        print "{".$key."}", ' is not used anywhere', "\n";
-    }
-}
+# foreach my $key (sort keys %registered_keys) {
+#     if (not defined $used_keys{$key} and not defined $ignore_keys{$key}) {
+#         print "{".$key."}", ' is not used anywhere', "\n";
+#     }
+# }
 
 sub used_keys {