Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 5744)
+++ /trunk/admin.php	(revision 5745)
@@ -107,5 +107,4 @@
     'U_MAINTENANCE'=> $link_start.'maintenance',
     'U_NOTIFICATION_BY_MAIL'=> $link_start.'notification_by_mail',
-    'U_ADVANCED_FEATURE'=> $link_start.'advanced_feature',
     'U_CONFIG_GENERAL'=> $link_start.'configuration',
     'U_CONFIG_DISPLAY'=> $conf_link.'default',
Index: unk/admin/advanced_feature.php
===================================================================
--- /trunk/admin/advanced_feature.php	(revision 5744)
+++ 	(revision )
@@ -1,108 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-if (!defined('PHPWG_ROOT_PATH'))
-{
-  die ("Hacking attempt!");
-}
-
-// +-----------------------------------------------------------------------+
-// | Check Access and exit when user status is not ok                      |
-// +-----------------------------------------------------------------------+
-check_status(ACCESS_ADMINISTRATOR);
-
-// +-----------------------------------------------------------------------+
-// | Actions                                                               |
-// +-----------------------------------------------------------------------+
-
-/*$action = (isset($_GET['action']) and !is_adviser()) ? $_GET['action'] : '';
-
-switch ($action)
-{
-  case '???' :
-  {
-    break;
-  }
-  default :
-  {
-    break;
-  }
-}*/
-
-// +-----------------------------------------------------------------------+
-// | Define advanced features                                              |
-// +-----------------------------------------------------------------------+
-
-$advanced_features = array();
-
-// Add advanced features
-/*array_push($advanced_features,
-  array
-  (
-    'CAPTION' => l10n('???'),
-    'URL' => $start_url.'???'
-  ));*/
-
-array_push($advanced_features,
-  array
-  (
-    'CAPTION' => l10n('Not linked elements'),
-    'URL' => get_root_url().'admin.php?page=element_set&amp;cat=not_linked'
-  ));
-
-array_push($advanced_features,
-  array
-  (
-    'CAPTION' => l10n('Files with same name in more than one physical category'),
-    'URL' => get_root_url().'admin.php?page=element_set&amp;cat=duplicates'
-  ));
-
-//$advanced_features is array of array composed of CAPTION & URL
-$advanced_features = 
-    trigger_event('get_admin_advanced_features_links', $advanced_features);
-
-// +-----------------------------------------------------------------------+
-// |  Template init                                                        |
-// +-----------------------------------------------------------------------+
-
-$template->set_filename('advanced_feature', 'advanced_feature.tpl');
-
-$start_url = get_root_url().'admin.php?page=advanced_feature&amp;action=';
-
-$template->assign(
-  array
-  (
-    'U_HELP' => get_root_url().'popuphelp.php?page=advanced_feature',
-    'U_ACTIVE_MENU' => 5
-  ));
-
-// advanced_features
-$template->assign('advanced_features', $advanced_features);
-
-// +-----------------------------------------------------------------------+
-// | Sending html code                                                     |
-// +-----------------------------------------------------------------------+
-
-$template->assign_var_from_handle('ADMIN_CONTENT', 'advanced_feature');
-
-?>
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 5744)
+++ /trunk/admin/include/functions.php	(revision 5745)
@@ -1941,5 +1941,4 @@
     case 'history':
     case 'maintenance':
-    case 'advanced_feature':
     case 'thumbnail':
       return 4;
Index: /trunk/admin/maintenance.php
===================================================================
--- /trunk/admin/maintenance.php	(revision 5744)
+++ /trunk/admin/maintenance.php	(revision 5745)
@@ -146,4 +146,34 @@
 
 // +-----------------------------------------------------------------------+
+// | Define advanced features                                              |
+// +-----------------------------------------------------------------------+
+
+$advanced_features = array();
+
+array_push(
+  $advanced_features,
+  array(
+    'CAPTION' => l10n('Not linked elements'),
+    'URL' => get_root_url().'admin.php?page=element_set&amp;cat=not_linked'
+    )
+  );
+
+array_push(
+  $advanced_features,
+  array(
+    'CAPTION' => l10n('Files with same name in more than one physical category'),
+    'URL' => get_root_url().'admin.php?page=element_set&amp;cat=duplicates'
+    )
+  );
+
+//$advanced_features is array of array composed of CAPTION & URL
+$advanced_features = trigger_event(
+  'get_admin_advanced_features_links',
+  $advanced_features
+  );
+
+$template->assign('advanced_features', $advanced_features);
+
+// +-----------------------------------------------------------------------+
 // |                           sending html code                           |
 // +-----------------------------------------------------------------------+
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 5744)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 5745)
@@ -74,5 +74,4 @@
         <li><a href="{$U_THUMBNAILS}">{'Thumbnails'|@translate}</a></li>
         <li><a href="{$U_MAINTENANCE}">{'Maintenance'|@translate}</a></li>
-        <li><a href="{$U_ADVANCED_FEATURE}">{'Advanced features'|@translate}</a></li>
       </ul>
     </dd>
Index: unk/admin/themes/default/template/advanced_feature.tpl
===================================================================
--- /trunk/admin/themes/default/template/advanced_feature.tpl	(revision 5744)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<div class="titrePage">
-  <h2>{'Advanced features'|@translate}</h2>
-</div>
-
-<ul>
-  {foreach from=$advanced_features item=feature}
-    <li><a href="{$feature.URL}" {$TAG_INPUT_ENABLED}>{$feature.CAPTION}</a></li>
-  {/foreach}
-</ul>
Index: /trunk/admin/themes/default/template/maintenance.tpl
===================================================================
--- /trunk/admin/themes/default/template/maintenance.tpl	(revision 5744)
+++ /trunk/admin/themes/default/template/maintenance.tpl	(revision 5745)
@@ -2,4 +2,10 @@
   <h2>{'Maintenance'|@translate}</h2>
 </div>
+
+<ul>
+  {foreach from=$advanced_features item=feature}
+    <li><a href="{$feature.URL}" {$TAG_INPUT_ENABLED}>{$feature.CAPTION}</a></li>
+  {/foreach}
+</ul>
 
 <ul>
Index: unk/language/de_DE/help/advanced_feature.html
===================================================================
--- /trunk/language/de_DE/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Erweiterte Funktionen</h2>
-
-<p>Liste der speziellen Funktionen für Administratoren und Experten PWG:</p>
-
-<ul>
-
-   <li>
-     <strong>Nicht verlinkte Elemente: </strong>
-     Zeigt die Bilder, die nicht mit einer virtuellen Kategorie verlinkt sind (sind aber in realen Kategorien vorhanden)
-   </li>
-   <li>
-     <strong> Finde Dateien mit dem gleichen Dateiname: </strong>
-     Findet Dateien mit dem gleichen Dateiname die in verschiedenen Ordnern gespeichert sind.
-   </li>
-
-</ul>
Index: /trunk/language/de_DE/help/maintenance.html
===================================================================
--- /trunk/language/de_DE/help/maintenance.html	(revision 5744)
+++ /trunk/language/de_DE/help/maintenance.html	(revision 5745)
@@ -10,4 +10,17 @@
 <p>Informationen werden mit der Zeit unbrauchbar. Sie von der
 Datenbank gibt den Speicherplatz frei.</p>
+
+<ul>
+
+   <li>
+     <strong>Nicht verlinkte Elemente: </strong>
+     Zeigt die Bilder, die nicht mit einer virtuellen Kategorie verlinkt sind (sind aber in realen Kategorien vorhanden)
+   </li>
+   <li>
+     <strong> Finde Dateien mit dem gleichen Dateiname: </strong>
+     Findet Dateien mit dem gleichen Dateiname die in verschiedenen Ordnern gespeichert sind.
+   </li>
+
+</ul>
 
 <ul>
Index: unk/language/en_UK/help/advanced_feature.html
===================================================================
--- /trunk/language/en_UK/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Advanced features</h2>
-
-<p>List special functionnalities for expert Piwigo administrators:</p>
-
-<ul>
-
-  <li>
-    <strong>Unlinked elements:</strong>
-    Display images which are not associated to any virtual category.
-  </li>
-  <li>
-    <strong>Files with the same name in more than one physical category:</strong>
-    Display images or files which are found with the same filename in several categories.
-  </li>
-
-</ul>
Index: /trunk/language/en_UK/help/maintenance.html
===================================================================
--- /trunk/language/en_UK/help/maintenance.html	(revision 5744)
+++ /trunk/language/en_UK/help/maintenance.html	(revision 5745)
@@ -9,4 +9,17 @@
 <p>Some information become useless with time going by. Deleting this useless
 information from database make you save disk space.</p>
+
+<ul>
+
+  <li>
+    <strong>Unlinked elements:</strong>
+    Display images which are not associated to any virtual category.
+  </li>
+  <li>
+    <strong>Files with the same name in more than one physical category:</strong>
+    Display images or files which are found with the same filename in several categories.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/es_ES/help/advanced_feature.html
===================================================================
--- /trunk/language/es_ES/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Funciones avanzadas</h2>
-
-<p>Lista de las funcionalidades especiales para los administradores expertos de PWG:</p>
-
-<ul>
-
-  <li>
-    <strong>Elementos no atados :</strong>
-   Visualiza las imágenes que no son asociadas con una categoría virtual
-  </li>
-  <li>
-    <strong>Ficheros que llevan el mismo nombre en varias categorías físicas :</strong>
-    Visualiza las imágenes o los ficheros que  eventualemente podrían estar encontrados en varias categorías.
-  </li>
-
-</ul>
Index: /trunk/language/es_ES/help/maintenance.html
===================================================================
--- /trunk/language/es_ES/help/maintenance.html	(revision 5744)
+++ /trunk/language/es_ES/help/maintenance.html	(revision 5745)
@@ -4,4 +4,17 @@
 
 <p>Informaciones se vuelven inútiles con tiempo. Suprimirlas de la base de datos liberara espacio en el disco.</p>
+
+<ul>
+
+  <li>
+    <strong>Elementos no atados :</strong>
+   Visualiza las imágenes que no son asociadas con una categoría virtual
+  </li>
+  <li>
+    <strong>Ficheros que llevan el mismo nombre en varias categorías físicas :</strong>
+    Visualiza las imágenes o los ficheros que  eventualemente podrían estar encontrados en varias categorías.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/fr_FR/help/advanced_feature.html
===================================================================
--- /trunk/language/fr_FR/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Fonctions avancées</h2>
-
-<p>Liste des fonctionnalités spéciales pour les administrateurs experts de Piwigo :</p>
-
-<ul>
-
-  <li>
-    <strong>Eléments non liés:</strong>
-    Affiche les images qui ne sont associées à aucune catégorie virtuelle
-  </li>
-  <li>
-    <strong>Fichiers portant le même nom dans plusieurs catégories physiques :</strong>
-    Affiche les images ou les éventuels fichiers qui pourraient être trouvés dans plusieurs catégories.
-  </li>
-
-</ul>
Index: /trunk/language/fr_FR/help/maintenance.html
===================================================================
--- /trunk/language/fr_FR/help/maintenance.html	(revision 5744)
+++ /trunk/language/fr_FR/help/maintenance.html	(revision 5745)
@@ -9,4 +9,17 @@
 <p>Certaines informations deviennent inutiles avec le temps. 
 Les supprimer de la base de données libère de l'espace disque.</p>
+
+<ul>
+
+  <li>
+    <strong>Eléments non liés:</strong>
+    Affiche les images qui ne sont associées à aucune catégorie virtuelle
+  </li>
+  <li>
+    <strong>Fichiers portant le même nom dans plusieurs catégories physiques :</strong>
+    Affiche les images ou les éventuels fichiers qui pourraient être trouvés dans plusieurs catégories.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/hr_HR/help/advanced_feature.html
===================================================================
--- /trunk/language/hr_HR/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Napredne mogućnosti</h2>
-
-<p>Popis posebnih funkcionalnosti za napredne PWG upravitelje:</p>
-
-<ul>
-
-  <li>
-    <strong>Nepovezane stavke:</strong>
-    Prikaz slika koje nisu povezane ni s jednom nestvarnom skupinom.
-  </li>
-  <li>
-    <strong>Slike istog naziva u više od jednoj stvarnoj skupini:</strong>
-    Prikaz slika istog naziva koje se nalaze u više skupina.
-  </li>
-
-</ul>
Index: /trunk/language/hr_HR/help/maintenance.html
===================================================================
--- /trunk/language/hr_HR/help/maintenance.html	(revision 5744)
+++ /trunk/language/hr_HR/help/maintenance.html	(revision 5745)
@@ -9,4 +9,17 @@
 <p>Some informations become useless with time. Deleting this useless
 information from database make you save disk space.</p>
+
+<ul>
+
+  <li>
+    <strong>Nepovezane stavke:</strong>
+    Prikaz slika koje nisu povezane ni s jednom nestvarnom skupinom.
+  </li>
+  <li>
+    <strong>Slike istog naziva u više od jednoj stvarnoj skupini:</strong>
+    Prikaz slika istog naziva koje se nalaze u više skupina.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/hu_HU/help/advanced_feature.html
===================================================================
--- /trunk/language/hu_HU/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Speciális funkciók</h2>
-
-<p>Speciális szakértői funkciók listázása a PWG rendszergazda számára:</p>
-
-<ul>
-
-  <li>
-    <strong>Nem kapcsolódó elemek:</strong>
-    Képek megjelenítése, melyek nem kapcsolódnak virtuális kategóriához.
-  </li>
-  <li>
-    <strong>Azonos nevű fájlok több fizikai kategóriában:</strong>
-    Képek vagy fájlok megjelenítése, melyekről bebizonyosodott, hogy azonos a fájlnevük az egyes kategóriákban.
-  </li>
-
-</ul>
Index: /trunk/language/hu_HU/help/maintenance.html
===================================================================
--- /trunk/language/hu_HU/help/maintenance.html	(revision 5745)
+++ /trunk/language/hu_HU/help/maintenance.html	(revision 5745)
@@ -0,0 +1,12 @@
+<ul>
+
+  <li>
+    <strong>Nem kapcsolódó elemek:</strong>
+    Képek megjelenítése, melyek nem kapcsolódnak virtuális kategóriához.
+  </li>
+  <li>
+    <strong>Azonos nevű fájlok több fizikai kategóriában:</strong>
+    Képek vagy fájlok megjelenítése, melyekről bebizonyosodott, hogy azonos a fájlnevük az egyes kategóriákban.
+  </li>
+
+</ul>
Index: unk/language/it_IT/help/advanced_feature.html
===================================================================
--- /trunk/language/it_IT/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Funzioni avanzate</h2>
-
-<p>Elenco delle funzionalità speciali per gli amministratori esperti di PWG:</p>
-
-<ul>
-
-  <li>
-    <strong>Elementi sciolti:</strong>
-    Mostra le immagini che non sono associate a una categoria virtuale.
-  </li>
-  <li>
-    <strong>File con lo stesso nome in più categorie fisiche:</strong>
-    Mostra le immagini o altri file trovati con lo stesso nome in più categorie.
-  </li>
-
-</ul>
Index: /trunk/language/it_IT/help/maintenance.html
===================================================================
--- /trunk/language/it_IT/help/maintenance.html	(revision 5744)
+++ /trunk/language/it_IT/help/maintenance.html	(revision 5745)
@@ -9,4 +9,17 @@
 <p>Alcune informazioni diventano inutili col tempo. Cancellare queste
 informazioni inutili dalla base base permette di liberare spazio sul disco.</p>
+
+<ul>
+
+  <li>
+    <strong>Elementi sciolti:</strong>
+    Mostra le immagini che non sono associate a una categoria virtuale.
+  </li>
+  <li>
+    <strong>File con lo stesso nome in più categorie fisiche:</strong>
+    Mostra le immagini o altri file trovati con lo stesso nome in più categorie.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/ja_JP/help/advanced_feature.html
===================================================================
--- /trunk/language/ja_JP/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>高度な機能</h2>
-
-<p>PWG管理エキスパート用の特別機能一覧です:</p>
-
-<ul>
-
-  <li>
-    <strong>未リンクのエレメント:</strong>
-    どのバーチャルカテゴリにも関連付けられていないイメージを表示します。
-  </li>
-  <li>
-    <strong>1つ以上の物理カテゴリに存在する同一名ファイル:</strong>
-    複数カテゴリで見つかった同一ファイル名のイメージまたはファイルを表示します。
-  </li>
-
-</ul>
Index: /trunk/language/ja_JP/help/maintenance.html
===================================================================
--- /trunk/language/ja_JP/help/maintenance.html	(revision 5744)
+++ /trunk/language/ja_JP/help/maintenance.html	(revision 5745)
@@ -8,4 +8,17 @@
 <p>時間に関して、いくつかの情報が無用になる場合もあります。この無用な情報をデータベースから削除することで、
 あなたはディスクスペースを減らすことができます。</p>
+
+<ul>
+
+  <li>
+    <strong>未リンクのエレメント:</strong>
+    どのバーチャルカテゴリにも関連付けられていないイメージを表示します。
+  </li>
+  <li>
+    <strong>1つ以上の物理カテゴリに存在する同一名ファイル:</strong>
+    複数カテゴリで見つかった同一ファイル名のイメージまたはファイルを表示します。
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/nl_NL/help/advanced_feature.html
===================================================================
--- /trunk/language/nl_NL/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Geavanceerde mogelijkheden</h2>
-
-<p>Lijst met speciale functies voor een deskundig PWG administrator:</p>
-
-<ul>
-
-  <li>
-    <strong>Niet gelinkte elementen:</strong>
-    Toon afbeeldingen die niet gekoppeld zijn aan enige virtuele categorie.
-  </li>
-  <li>
-    <strong>Bestanden met dezelfde naam in meer dan één physieke categorie:</strong>
-    Toon afbeeldingen of bestanden met dezelfde naam in verschillende categorieën.
-  </li>
-
-</ul>
Index: /trunk/language/nl_NL/help/maintenance.html
===================================================================
--- /trunk/language/nl_NL/help/maintenance.html	(revision 5744)
+++ /trunk/language/nl_NL/help/maintenance.html	(revision 5745)
@@ -7,4 +7,17 @@
 
 <p>Bepaalde informatie word door tijd nutteloos. Door de nutteloze informatie te verwijderen uit de database bespaar je ruimte.</p>
+
+<ul>
+
+  <li>
+    <strong>Niet gelinkte elementen:</strong>
+    Toon afbeeldingen die niet gekoppeld zijn aan enige virtuele categorie.
+  </li>
+  <li>
+    <strong>Bestanden met dezelfde naam in meer dan één physieke categorie:</strong>
+    Toon afbeeldingen of bestanden met dezelfde naam in verschillende categorieën.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/pl_PL/help/advanced_feature.html
===================================================================
--- /trunk/language/pl_PL/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Zaawansowane</h2>
-
-<p>Lista specjalnych funkcjonalności dla zaawansowanego administratora PWG:</p>
-
-<ul>
-
-  <li>
-    <strong>Nie powiązane elementy:</strong>
-    Wyświetla obrazy, któe nie są powiązane z żadną wirtualną kategorią.
-  </li>
-  <li>
-    <strong>Pliki o tej samej nazwie w jednej lub wielu kategoriach:</strong>
-    Wyświtla obrazy lub pliki o tej samej nazwie znalezione w jednej lub wielu kategoriach.
-  </li>
-
-</ul>
Index: /trunk/language/pl_PL/help/maintenance.html
===================================================================
--- /trunk/language/pl_PL/help/maintenance.html	(revision 5744)
+++ /trunk/language/pl_PL/help/maintenance.html	(revision 5745)
@@ -4,4 +4,17 @@
 
 <p>Niektóre informacje stają się wtedy bezużyteczne. Usuwanie tych bezużytecznych informacji pozwala zaoszczędzić przestrzeń na dysku.</p>
+
+<ul>
+
+  <li>
+    <strong>Nie powiązane elementy:</strong>
+    Wyświetla obrazy, któe nie są powiązane z żadną wirtualną kategorią.
+  </li>
+  <li>
+    <strong>Pliki o tej samej nazwie w jednej lub wielu kategoriach:</strong>
+    Wyświtla obrazy lub pliki o tej samej nazwie znalezione w jednej lub wielu kategoriach.
+  </li>
+
+</ul>
 
 <ul>
Index: unk/language/ru_RU/help/advanced_feature.html
===================================================================
--- /trunk/language/ru_RU/help/advanced_feature.html	(revision 5744)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Расширенные функции</h2>
-
-<p>Показаны специальные возможности для продвинутых администраторов PWG:</p>
-
-<ul>
-
-  <li>
-    <strong>Не привязанные элементы:</strong>
-    Показывает фотографии которые не связаны ни с одной виртуальной категорией.
-  </li>
-  <li>
-    <strong>Файлы с одинаковыми именами в разных папках:</strong>
-    Показывает фотографии или другие файлы имеющие одинаковые имена и находящиеся в разных категориях.
-  </li>
-
-</ul>
Index: /trunk/language/ru_RU/help/maintenance.html
===================================================================
--- /trunk/language/ru_RU/help/maintenance.html	(revision 5744)
+++ /trunk/language/ru_RU/help/maintenance.html	(revision 5745)
@@ -9,4 +9,17 @@
 <p>Некоторая информации становится бесполезным со временем. Удаление этой бесполезной
 информации из базы данных позволит сохранить дисковое пространство.</p>
+
+<ul>
+
+  <li>
+    <strong>Не привязанные элементы:</strong>
+    Показывает фотографии которые не связаны ни с одной виртуальной категорией.
+  </li>
+  <li>
+    <strong>Файлы с одинаковыми именами в разных папках:</strong>
+    Показывает фотографии или другие файлы имеющие одинаковые имена и находящиеся в разных категориях.
+  </li>
+
+</ul>
 
 <ul>