Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 5746)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 5747)
@@ -78,5 +78,5 @@
 $lang['Deactivate'] = 'Deaktivovat';
 $lang['Delete Representant'] = 'Smazat reprezentativní obrázek';
-$lang['Delete selected tags'] = 'Smazat vybrané tagy';
+$lang['Delete selected tags'] = 'Smazat vybraná klíčová slova';
 $lang['Delete selected users'] = 'Smazat vybrané uživatele';
 $lang['Deletions'] = 'Smazání';
@@ -88,6 +88,6 @@
 $lang['Does not represent'] = 'Nereprezentuje';
 $lang['Edit all picture informations'] = 'Upravit informace o všech obrázcích';
-$lang['Edit selected tags'] = 'Upravit vybrané tagy';
-$lang['Edit tags'] = 'Upravit tagy';
+$lang['Edit selected tags'] = 'Upravit vybraná klíčová slova';
+$lang['Edit tags'] = 'Upravit klíčová slova';
 $lang['Elements'] = 'Položky';
 $lang['Email admins when a new user registers'] = 'Poslat e-mail administrátorovi při registraci nového uživatele';
@@ -116,5 +116,5 @@
 $lang['Manage permissions for group "%s"'] = 'Nastavit práva pro skupinu "%s"';
 $lang['Manage permissions for user "%s"'] = 'Nastavit práva pro uživatele "%s"';
-$lang['Manage tags'] = 'Správa tagů';
+$lang['Manage tags'] = 'Správa klíčových slov';
 $lang['Members'] = 'Členové';
 $lang['Metadata synchronized from file'] = 'Metadata synchronizována ze souboru';
@@ -466,5 +466,5 @@
 $lang['Element'] = 'Fotografie';
 $lang['Section'] = 'sekce';
-$lang['Tags'] = 'klíčová slova';
+$lang['Tags'] = 'Klíčová slova';
 $lang['Save page visits by guests'] = 'Ukládat stránky navštívené hosty';
 $lang['Save page visits by users'] = 'Ukládat stránky navštívené uživateli';
@@ -626,5 +626,5 @@
 $lang['Upload Photos'] = 'Nahrát fotografie';
 $lang['Drop into category'] = 'Zpět do kategorie';
-$lang['+ Add an upload box'] = '+ Přidat upload box';
+$lang['+ Add an upload box'] = '+ Přidat pole';
 $lang['Upload'] = 'Nahrát';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Vytvořte "%s" adresáře v kořenovém adresáři instalace Piwigo';
@@ -641,3 +641,128 @@
 $lang['Select files'] = 'Výběr souborů';
 $lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG soubory nebo ZIP archivy s JPEG soubory prosím.';
+
+// missing translations 2.1.0
+$lang['Processing treatment.'] = 'Provádím údržbu.';
+$lang['Please wait...'] = 'Prosím počkejte...';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo Zpravodaj';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Přihlašte se k odběru Piwigo zpravodaje, aby jste byli informování o novinkách. Dostanete tak e-mail, když bude k dispozici nová verze Piwigo (která může obsahovat bezpečnostní záplatu, o čemž je důležité být informován) a nebo v případě důležitých novinek v projektu. Jedná se jen o několik mailů ročně.';
+$lang['Subscribe %s'] = 'Přihlásit %s';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Přihlásit %s k Zpravodaji Piwigo';
+$lang['Purge search history'] = 'Odstranit historii hledání';
+$lang['Hide'] = 'Skrýt';
+$lang['Password is missing. Please enter the password.'] = 'Chybí heslo. Prosím napište heslo.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Chybí potvrzení hesla. Prosím potvrďte vybrané heslo.';
+$lang['Password confirmation error.'] = 'Chyba při potvrzení hesla.';
+$lang['Allow users to edit theirs owns comments'] = 'Povolit uzivatelům upravovat jejich vlastní komentáře';
+$lang['Allow users to delete theirs owns comments'] = 'Povolit uzivatelům mazat jejich vlastní komentáře';
+$lang['Email administrators when a comment is modified'] = 'Informovat e-mailem administrátory, když je upraven komentář';
+$lang['Email administrators when a comment is deleted'] = 'Informovat e-mailem administrátory, když je smazán komentář';
+$lang['Cannot delete the old permalink !'] = 'Starý pernamentní odkaz nemůže být smazán!';
+$lang['Hit'] = 'Zobrazení';
+$lang['Tools'] = 'Nástroje';
+$lang['Photos'] = 'Fotografie';
+$lang['Themes'] = 'Témata';
+$lang['Instructions to use Piwigo'] = 'Informace jak používat Piwigo';
+$lang['Order alphanumerically'] = 'Seřadit podle abecedy';
+$lang['Order alphanumerically reverse'] = 'Seřadit podle sestupně abecedy';
+$lang['Installed Themes'] = 'Instalovaná témata';
+$lang['Add New Theme'] = 'Přidat nové téma';
+$lang['Forbid this theme to users'] = 'Zakázat použití tohoto tématu uživatelům';
+$lang['Set as default theme for unregistered and new users'] = 'Nastavit výchozí téma pro nezaregistrované a nové uživatele';
+$lang['unknown'] = 'neznámý';
+$lang['Everybody'] = 'Každý';
+$lang['Who can see these photos?'] = 'Vidíte tyto fotografie?';
+$lang['... or switch to the old style form'] = '... nebo přepněte na původní styl';
+$lang['... or switch to the multiple files form'] = '... nebo přepněte na formát vícenásobných souborů';
+$lang['The websize maximum width must be a number between %d and %d'] = 'Maximální šířka webovské stránky musí být číslo mezi %d a %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'Maximální výška webovské stránky musí být číslo mezi %d a %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'Kvalita formátu fotografie pro web musí být číslo mezi %d and %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Maximální šířka náhledu obrázku musí být číslo mezi %d a %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Maximální výška náhledu obrázku musí být číslo mezi %d a %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'Kvalita formátu náhledu fotografie musí být číslo mezi %d a %d';
+$lang['Settings'] = 'Nastavení';
+$lang['Web size photo'] = 'Velikost fotografie pro web';
+$lang['Resize'] = 'Změnit velikost';
+$lang['Maximum Width'] = 'Maximální šířka';
+$lang['pixels'] = 'bodů';
+$lang['Maximum Height'] = 'Maximální výška';
+$lang['Image Quality'] = 'Kvalita formátu';
+$lang['Save Settings'] = 'Uložit nastavení';
+$lang['Your configuration settings are saved'] = 'Vaše nastavení bylo uloženo';
+$lang['Active Themes'] = 'Aktivní témata';
+$lang['Add write access to the "%s" directory'] = 'nastavte přístup pro zápis do adresáře "%s"';
+$lang['Administration Home'] = 'Úvodní stránka administrace';
+$lang['Categories ordered alphanumerically'] = 'Kategorie seřazeny podle abecedy';
+$lang['Categories ordered alphanumerically reverse'] = 'Kategorie seřazeny sestupně podle abecedy';
+$lang['Change Admin Colors'] = 'Změňte barvy administrace';
+$lang['Delete this theme'] = 'Zrušte toto téma';
+$lang['Directory does not exist'] = 'Adresář neexistuje';
+$lang['Download,'] = 'Stáhnout,';
+$lang['FTP + Synchronization'] = 'FTP + Synchronizace';
+$lang['Get Support on Piwigo Forum'] = 'Získat podporu na fóru Piwigo';
+$lang['Help Me'] = 'Pomoc';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Toto téma nemůže být aktivováno, protože chybí rodičovské téma: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Toto téma nemůže být zrušeno, protože na něm závisí další témata: %s';
+$lang['Inactive Themes'] = 'Neaktivní témata';
+$lang['Install on your computer,'] = 'Instalovat na Váš počítač,';
+$lang['Make this theme available to users'] = 'Zpřístupnit uživatelům';
+$lang['Page end'] = 'Konec stránky';
+
+$lang['Piwigo Uploader'] = 'Piwigo nahrávání';
+$lang['Read Piwigo Documentation'] = 'Čtěte Piwigo dokumentaci';
+$lang['Start pLoader and add your photos.'] = 'Spusťte pLoader a přidejte Vaše fotografie.';
+$lang['Switch to clear or dark colors for administration'] = 'Přepnout na světlé nebo tmavé barvy pro administraci';
+$lang['Theme has been successfully installed'] = 'Téma bylo úspěšně nainstalováno';
+$lang['Visit Gallery'] = 'Navštívit galerii';
+$lang['Visit Piwigo project website'] = 'Navštívit Piwigo projektový web portál';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader je <em>Piwigo nahrávání</em>. pLoader připraví Vaše fotografie na Vašem počítači a přenese je na Vaši Piwigo foto galerii.';
+$lang['Guest Settings'] = 'Nastavení pro hosty';
+$lang['Main Page'] = 'Hlavní strana';
+$lang['Photo Page'] = 'Strana fotografie';
+$lang['Activate Navigation Bar'] = 'Aktivovat navigační lištu';
+$lang['Activate Navigation Thumbnails'] = 'Aktivovat navigační náhledy';
+$lang['Activate icon "%s"'] = 'Aktivovat ikonu "%s"';
+$lang['Activate field "%s"'] = 'Aktivovat pole "%s"';
+$lang['Photo Properties'] = 'Vlastnosti fotografie';
+$lang['Allow user customization'] = 'Povolit uživatelskou úpravu nastavení';
+$lang['Languages'] = 'Jazyky';
+$lang['Installed Languages'] = 'Instalované jazyky';
+$lang['Add New Language'] = 'Přidat nový jazyk';
+$lang['Language has been successfully installed'] = 'Jazyk byl úspěšně nainstalován';
+$lang['Select:'] = 'Vybrat:';
+$lang['None'] = 'Žádný';
+$lang['Invert'] = 'Obrátit';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Není možno deaktivovat toto téma, potřebujete alespoň jedno téma.';
+$lang['Webmaster status is required.'] = 'Status administrátora je požadován.';
+$lang['Bound Theme'] = 'Svázat téma';
+$lang['Allow rating'] = 'Povolit hodnocení';
+$lang['Select at least one comment'] = 'Vyberte alespoň jeden komentář';
+$lang['Active Plugins'] = 'Aktivovat doplňky';
+$lang['Inactive Plugins'] = 'Deaktivovat doplňky';
+$lang['Missing Plugins'] = 'Chybějící doplňky';
+$lang['Uninstalled Plugins'] = 'Nenainstalované doplňky';
+$lang['By %s'] = 'od %s';
+$lang['Visit plugin site'] = 'navštivte web portál doplňku';
+$lang['Active Languages'] = 'Aktivní jazyky';
+$lang['Delete this language'] = 'Odstranit tento jazyk';
+$lang['Forbid this language to users'] = 'Znepřístupnit tento jazyk uživatelům';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Není možné deaktivovat tento jazyk, nejprve vyberte jiný výchozí jazyk.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Není možné deaktivovat tento jazyk, potřebujete alespoň jeden jazyk.';
+$lang['Inactive Languages'] = 'Deaktivované jazyky';
+$lang['Make this language available to users'] = 'Zpřístupnit tento jazyk uživatelům';
+$lang['Set as default language for unregistered and new users'] = 'Nastavit jako výchozí jazyk pro nezaregistrované a nové uživatele';
+$lang['Add Photos'] = 'Přidat fotografie';
+$lang['Download'] = 'Stáhnout';
+$lang['The following tag was deleted'] = 'Následující klíčové slovo byl odstraněn';
+$lang['Miscellaneous'] = 'Různé';
+$lang['User Upload'] = 'Uživatelské nahrání';
+$lang['Virtual Links'] = 'Virtuální odkazy';
+$lang['There is no other language available.'] = 'Není dostupný žádný další jazyk.';
+$lang['There is no other plugin available.'] = 'Není dostupný žádný další doplněk.';
+$lang['There is no other theme available.'] = 'Není dostupné žádné další téma.';
+$lang['Add another set of photos'] = 'Přidat další množinu fotografií';
+$lang['Unable to check for upgrade.'] = 'Není možno ověřit zda exituje nová verze.';
+$lang['user_status_generic'] = 'Všeobecné';
+$lang['IP'] = 'IP';
+
 ?>
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 5746)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 5747)
@@ -129,5 +129,5 @@
 $lang['Webmaster'] = 'Administrátor';
 $lang['Week %d'] = 'Týden %d';
-$lang['About Piwigo'] = 'O aplikaci PiWiGo';
+$lang['About Piwigo'] = 'O aplikaci Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Nemáte oprávnění k přístupu na požadovanou stránku';
 $lang['add to caddie'] = 'Přidat do košíku';
@@ -182,5 +182,5 @@
 $lang['download'] = 'stáhnout';
 $lang['download this file'] = 'stáhnout tento soubor';
-$lang['edit'] = 'editovat';
+$lang['edit'] = 'Editovat';
 $lang['wrong date'] = 'Chybné datum';
 $lang['excluded'] = 'Vyjmuto z výběru';
@@ -215,5 +215,5 @@
 $lang['Maximum width of the pictures'] = 'Maximální šířka fotografií';
 $lang['Maximum width must be a number superior to 50'] = 'Maximální šířka musí být číslo vetší než 50';
-$lang['display a calendar by creation date'] = 'zobrazit v kalendáři podle datumu vytvoření';
+$lang['display a calendar by creation date'] = 'Zobrazit v kalendáři podle datumu vytvoření';
 $lang['display all elements in all sub-categories'] = 'Zobrazit všechny objekty v pod-kategoriích';
 $lang['return to normal view mode'] = 'Návrat do normálního zobrazení';
@@ -241,5 +241,5 @@
 $lang['Rate this picture'] = 'Ohodnotit tuto fotografii';
 $lang['Next'] = 'Následující';
-$lang['Home'] = 'Domů';
+$lang['Home'] = 'Zpět na úvodní stranu';
 $lang['no rate'] = 'bez hodnocení';
 $lang['Elements posted within the last %d day.'] = 'Fotografie vložené během posledního %d dne.';
@@ -270,5 +270,5 @@
 $lang['remove this tag from the list'] = 'odstranit toto klíčové slovo ze seznamu';
 $lang['representative'] = 'Reprezentant';
-$lang['return to homepage'] = 'zpět na úvodní stranu';
+$lang['return to homepage'] = 'Zpět na úvodní stranu';
 $lang['Search for Author'] = 'Hledat autora';
 $lang['Search in Categories'] = 'Hledání v kategoriích';
@@ -290,5 +290,5 @@
 $lang['Show number of comments'] = 'Ukázat počet komentářů';
 $lang['Show number of hits'] = 'Ukázat počet zobrazení';
-$lang['slideshow'] = 'automatické přehrávání';
+$lang['slideshow'] = 'Automatické přehrávání';
 $lang['stop the slideshow'] = 'zastavit automatické přehrávání';
 $lang['Specials'] = 'Zobrazit';
@@ -309,5 +309,5 @@
 $lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Volitelné (doporučeno) : přiřadit náhled k ';
 $lang['the width of the picture must not exceed :'] = 'šířka fotografie nesmí být větší než : ';
-$lang['Author'] = 'Autor (například "Pavel Novák")';
+$lang['Author'] = 'Autor';
 $lang['can\'t upload the picture on the server'] = 'Nelze nahrát fotografii na server';
 $lang['the username must be given'] = 'Je nutné zadat uživatelské jméno';
@@ -361,7 +361,7 @@
 $lang['Piwigo Help'] = 'Nápověda Piwigo';
 $lang['Rank'] = 'Hodnotit';
-$lang['group by letters'] = 'seskupit podle písmen';
+$lang['group by letters'] = 'Seskupit podle písmen';
 $lang['letters'] = 'písmena';
-$lang['show tag cloud'] = 'zobrazit klíčová slova v bublině';
+$lang['show tag cloud'] = 'Zobrazit klíčová slova v bublině';
 $lang['cloud'] = 'bublina';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
@@ -392,4 +392,15 @@
 $lang['%d Kb'] = '%d Kb';
 $lang['IP: %s'] = 'IP: %s';
+// exif
+$lang['exif_field_Make'] = 'Značka';
+$lang['exif_field_Model'] = 'Model';
+$lang['exif_field_DateTimeOriginal'] = 'Vytvořeno';
+$lang['exif_field_ApertureFNumber'] = 'Clona';
+$lang['exif_field_ExposureTime'] = 'Čas';
+$lang['exif_field_ISOSpeedRatings'] = 'ISO';
+$lang['exif_field_FocalLength'] = 'Ohnisko';
+$lang['exif_field_ExposureBiasValue'] = 'Korekce';
+$lang['exif_field_ExposureProgram'] = 'Program';
+$lang['exif_field_Flash'] = 'Blesk';
 
 ?>