Index: extensions/Random_Header/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Random_Header/language/it_IT/plugin.lang.php	(revision 5721)
+++ extensions/Random_Header/language/it_IT/plugin.lang.php	(revision 5755)
@@ -1,16 +1,37 @@
 <?php
-$lang['rh_description'] = 'Permette di pubblicare nel header una fotografia a caso dalla categoria scelta, in modo normale o in immagine di fondo';
-$lang['rh_submit'] 		= 'Salvare';
-$lang['rh_before'] 		= 'prima';
-$lang['rh_after'] 		= 'dopo';
-$lang['rh_concat'] 		= 'Concatenare il banner delle pagine';
-$lang['rh_as_background'] = 'Utilizzare come sfondo';
-$lang['rh_on_picture'] 	= 'Attivo anche sulla pagina delle immagini';
-$lang['rh_headers_category'] 	 = 'Categoria d\'immagini per il banner';
-$lang['rh_theme'] 		= 'Tema';
-$lang['rh_inactif'] 	= 'Disattivato per questo tema';
-$lang['rh_aide'] 		= 'Nota:<br/>LE IMMAGINI SONO VISIBILI PER TUTTI (categoria privata o non)<br/> Lo stile CSS per l\'immagine (#RandomImage) non viene applicato in modo immagine di sfondo <br> I campi CSS devono rispettare le norme CSS (es: "overflow: auto;color: red;")<br/>In modo immagine di sfondo, l\'opzione concatenare l\' <a href=admin.php?page="configuration">banner di pagina</a> non è attivo';
-$lang['rh_additional_css'] = 'Stile CSS addizionale';
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
-
+$lang['rh_description']			= 'Permette di pubblicare nel header una fotografia a caso dalla categoria scelta, in modo normale o in immagine di fondo';
+$lang['rh_submit']				= 'Salvare';
+$lang['rh_before']				= 'prima';
+$lang['rh_after']				= 'dopo';
+$lang['rh_concat']				= 'Concatenare il banner delle pagine';
+$lang['rh_as_background']		= 'Utilizzare come sfondo';
+$lang['rh_on_picture']			= 'Attivo anche sulla pagina delle immagini';
+$lang['rh_headers_category'] 	= 'Categoria d\'immagini per il banner';
+$lang['rh_theme']				= 'Tema';
+$lang['rh_inactif']				= 'Disattivato per questo tema';
+$lang['rh_aide']				= 'Nota:<br/>LE IMMAGINI SONO VISIBILI PER TUTTI (categoria privata o non)<br/> Lo stile CSS per l\'immagine (#RandomImage) non viene applicato in modo immagine di sfondo <br> I campi CSS devono rispettare le norme CSS (es: "overflow: auto;color: red;")<br/>In modo immagine di sfondo, l\'opzione concatenare l\' <a href=admin.php?page="configuration">banner di pagina</a> non è attivo';
+$lang['rh_additional_css']		= 'Stile CSS addizionale';
+$lang['rh_inactif_on_bg']		= 'inattiva come immagine di sfondo';
 ?>