Index: trunk/language/ro_RO/common.lang.php
===================================================================
--- trunk/language/ro_RO/common.lang.php	(revision 5760)
+++ trunk/language/ro_RO/common.lang.php	(revision 5760)
@@ -0,0 +1,383 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Română';
+$lang_info['country'] = 'România';  
+$lang_info['charset'] = 'utf-8';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'ro';
+$lang_info['zero_plural'] = true;
+
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d categorie actualizată';
+$lang['%d categories updated'] = '%d categorii actualizate';
+$lang['%d comment to validate'] = '%d comentariu de validat';
+$lang['%d comments to validate'] = '%d comentarii de validat';
+$lang['%d new comment'] = '%d nou comentariu';
+$lang['%d new comments'] = '%d noi comentarii';
+$lang['%d comment'] = '%d comentariu';
+$lang['%d comments'] = '%d comentarii';
+$lang['%d hit'] = 'vazut %d dată';
+$lang['%d hits'] = 'vazut %d ori';
+$lang['%d new image'] = '%d imagine nouă';
+$lang['%d new images'] = '%d imagini noi';
+$lang['%d new user'] = '%d utilizator nou';
+$lang['%d new users'] = '%d utilizatori noi';
+$lang['%d waiting element'] = '%d element în aşteptare';
+$lang['%d waiting elements'] = '%d elemente în aşteptare';
+$lang['About'] = 'Despre';
+$lang['All tags'] = 'Toate etichetele';
+$lang['Any tag'] = 'Orice eticheta';
+$lang['At least one listed rule must be satisfied.'] = 'Cel puţin o singură regulă trebuie să fie îndeplinită';
+$lang['At least one tag must match'] = 'Cel puţin o etichetă trebuie să se potriveasca';
+$lang['Author'] = 'Autor';
+$lang['Average rate'] = 'Notă medie';
+$lang['Categories'] = 'Categorii';
+$lang['Category'] = 'Categorie';
+$lang['Close this window'] = 'Inchide această fereastră';
+$lang['Complete RSS feed (images, comments)'] = 'Flux RSS complet (imagini, comentarii)';
+$lang['Confirm Password'] = 'Confirmare parolă';
+$lang['Connection settings'] = 'Parametrii de conecţie';
+$lang['Login'] = 'Conecţie';
+$lang['Contact webmaster'] = 'Contactaţi webmasterul';
+$lang['Create a new account'] = 'Creaţi un cont nou';
+$lang['Created on'] = 'Creat pe';
+$lang['Creation date'] = 'Data creaţiei';
+$lang['Current password is wrong'] = 'Parola actuală nu este corectă';
+$lang['Dimensions'] = 'Dimensii';
+$lang['Display'] = 'Afişare';
+$lang['Each listed rule must be satisfied.'] = 'Fiecare regulă enumerată trebuie să fie îndeplinită';
+$lang['Email address'] = 'Adresa de e-mail';
+$lang['Enter your personnal informations'] = 'Introduceţi informaţiile dvs. personale';
+$lang['Error sending email'] = 'Eroare la trimiterea de e-mail';
+$lang['File name'] = 'Nume de fişier';
+$lang['File'] = 'Fişier';
+$lang['Filesize'] = 'Mărime fişier';
+$lang['Filter and display'] = 'Filtrează şi afişează';
+$lang['Filter'] = 'Filtrează';
+$lang['Forgot your password?'] = 'Aţi uitat parola?';
+$lang['Go through the gallery as a visitor'] = 'Navigaţi prin galerie ca un vizitator';
+$lang['Help'] = 'Ajutor';
+$lang['Identification'] = 'Identificare';
+$lang['Image only RSS feed'] = 'RSS feed numai cu imagini';
+$lang['Keyword'] = 'Cuvînt cheie';
+$lang['Links'] = 'Link-uri';
+$lang['Mail address'] = 'Adresa de mail';
+$lang['N/A'] = 'N/A';
+$lang['New on %s'] = 'Nou pe %s';
+$lang['New password confirmation does not correspond'] = 'Noua confirmare a parolei nu se potriveşte';
+$lang['New password sent by email'] = 'Noua parolă a fost trimisă prin email';
+$lang['No email address'] = 'Nici o adresă de email';
+$lang['No classic user matches this email address'] = 'Nici un utilizator clasic nu corespunde acestei adrese de e-mail';
+$lang['Notification'] = 'Notificare';
+$lang['Number of items'] = 'Numărul de articole';
+$lang['Original dimensions'] = 'Dimensiuni originale';
+$lang['Password forgotten'] = 'Parola uitată';
+$lang['Password'] = 'Parola';
+$lang['Post date'] = 'Dată post';
+$lang['Posted on'] = 'Postat pe';
+$lang['Profile'] = 'Profil';
+$lang['Quick connect'] = 'Conectare rapidă';
+$lang['RSS feed'] = 'RSS feed';
+$lang['Rate'] = 'Evaluare';
+$lang['Register'] = 'Înscrie';
+$lang['Registration'] = 'Înscriere';
+$lang['Related tags'] = 'Etichete asociate';
+$lang['Reset'] = 'Resetare';
+$lang['Retrieve password'] = 'Recuperare parolă';
+$lang['Search rules'] = 'Criterii de căutare';
+$lang['Search tags'] = 'Caută etichete';
+$lang['Search'] = 'Caută';
+$lang['See available tags'] = 'Vezi etichetele disponibile';
+$lang['Send new password'] = 'Trimite parola nouă';
+$lang['Since'] = 'De la';
+$lang['Sort by'] = 'Sortare după';
+$lang['Sort order'] = 'Ordine de sortare';
+$lang['Tag'] = 'Etichetă';
+$lang['Tags'] = 'Etichete';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Notificarea RSS feed prevede notificarea cu privire la noutăţile din acest site: poze noi, categorii actualizate, noi comentarii. Folosiţi un RSS feed reader.';
+$lang['Unknown feed identifier'] = 'Identificator RSS feed  necunoscut';
+$lang['User comments'] = 'Comentarii utilizator ';
+$lang['Username'] = 'Nume de utilizator';
+$lang['Visits'] = 'Vizite';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Săptămâna %d';
+$lang['About Piwigo'] = 'Despre Piwigo';
+$lang['You are not authorized to access the requested page'] = 'Nu sunteţi autorizat sa accesaţi pagina solicitată';
+$lang['add to caddie'] = 'adaugă în cărucior';
+$lang['add this image to your favorites'] = 'adăuga această imagine la favorite';
+$lang['Administration'] = 'Administraţie';
+$lang['Adviser mode enabled'] = 'Mod de consilier activat';
+$lang['all'] = 'tot';
+$lang['ascending'] = 'ascendent';
+$lang['author(s) : %s'] = 'autor(i) : %s';
+$lang['Expand all categories'] = 'Extinde toate categoriile';
+$lang['posted after %s (%s)'] = 'postat după %s (%s)';
+$lang['posted before %s (%s)'] = 'postat înainte de %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'postat între %s (%s) şi %s (%s)';
+$lang['posted on %s'] = 'postat pe %s';
+$lang['Best rated'] = 'Cel mai bun evaluat';
+$lang['display best rated items'] = 'afişează cele mai bune imagini';
+$lang['caddie'] = 'cărucior';
+$lang['Calendar'] = 'Calendar';
+$lang['All'] = 'Tot';
+$lang['display each day with pictures, month per month'] = 'Afişare an de an, lună de lună, zi de zi';
+$lang['View'] = 'Vedere';
+$lang['chronology_monthly_calendar'] = 'Calendar lunar';
+$lang['chronology_monthly_list'] = 'Lista lunară';
+$lang['chronology_weekly_list'] = 'Listă săptămânală ';
+$lang['Click here if your browser does not automatically forward you'] = 'Click aici dacă browser-ul nu va trimite în mod automat';
+$lang['comment date'] = 'data comentariului';
+$lang['Comment'] = 'Comentariu';
+$lang['Your comment has been registered'] = 'Comentariul dvs. a fost înregistrat';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Sistem Anti-flood: vă rugăm aşteptaţi o clipă înainte de a încerca să postaţi un alt comentariu';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Comentariul dvs. nu a fost înregistrat deoarece nu a trecut regulile de validare';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Un administrator trebuie să autorizeze comentariul dvs. înainte de a deveni vizibil.';
+$lang['This login is already used by another user'] = 'Acest nume este deja folosit de un alt utilizator';
+$lang['Comments'] = 'Comentarii';
+$lang['Add a comment'] = 'Adaugă un comentariu';
+$lang['created after %s (%s)'] = 'creat după %s (%s)';
+$lang['created before %s (%s)'] = 'create înainte de %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'creat între %s (%s) şi %s (%s)';
+$lang['created on %s'] = 'creat pe %s';
+$lang['Customize'] = 'Particularizează';
+$lang['Your Gallery Customization'] = 'Personalizarea Galeriei dvs.';
+$lang['Default'] = 'În mod implicit';
+$lang['delete this image from your favorites'] = 'şterge această imagine din favorite';
+$lang['Delete'] = 'Şterge';
+$lang['descending'] = 'descendent';
+$lang['download'] = 'descărcare';
+$lang['download this file'] = 'descărcă acest fişier';
+$lang['edit'] = 'editează';
+$lang['wrong date'] = 'dată greşită';
+$lang['day'][0] = 'Duminică';
+$lang['day'][1] = 'Luni';
+$lang['day'][2] = 'Marţi';
+$lang['day'][3] = 'Miercuri';
+$lang['day'][4] = 'Joi';
+$lang['day'][5] = 'Vineri';
+$lang['day'][6] = 'Sâmbătă';
+$lang['%.2f (rated %d times)'] = '%.2f (evaluat de %d ori)';
+$lang['excluded'] = 'exclus';
+$lang['My favorites'] = 'Preferatele mele';
+$lang['display my favorites pictures'] = 'Afişează imaginile mele preferate';
+$lang['Favorites'] = 'Preferat(e)';
+$lang['First'] = 'Prima(ul)';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galeria este blocată pentru întreţinere. Vă mulţumim reveniţi mai târziu.';
+$lang['Page generated in'] = 'Pagina generată în';
+$lang['guest'] = 'vizitator';
+$lang['Hello'] = 'Bună ziua';
+$lang['available for administrators only'] = 'disponibil numai pentru administratori';
+$lang['shows images at the root of this category'] = 'prezintă imagini de la rădăcina acestei categorii';
+$lang['See last users comments'] = 'Vezi cele mai recente comentarii ale utilizatorilor';
+$lang['customize the appareance of the gallery'] = 'personalizează aspectul galeriei';
+$lang['search'] = 'căutare';
+$lang['Home'] = 'Prima pagină';
+$lang['in this category'] = 'în această categorie';
+$lang['in %d sub-category'] = 'în %d sub-categorie';
+$lang['in %d sub-categories'] = 'în %d sub-categorii';
+$lang['included'] = 'inclus';
+$lang['Invalid password!'] = 'Parolă invalidă !';
+$lang['Language'] = 'Limbă';
+$lang['last %d days'] = 'ultimele %d zile';
+$lang['Last'] = 'Ultima(ul)';
+$lang['Logout'] = 'Deconectare';
+$lang['E-mail address'] = 'Adresa de e-mail';
+$lang['obligatory'] = 'obligatorie';
+$lang['Maximum height of the pictures'] = 'Înălţimea maximă a imaginii';
+$lang['Maximum height must be a number superior to 50'] = 'Înălţimea maximă trebuie să fie mai mare de 50';
+$lang['Maximum width of the pictures'] = 'Lăţimea maximă a imaginilor';
+$lang['Maximum width must be a number superior to 50'] = 'Lăţimea maximă trebuie să fie mai mare de 50';
+$lang['display a calendar by creation date'] = 'afişează un calendar în funcţie de data creării';
+$lang['display all elements in all sub-categories'] = 'afişează toate elementele în toate sub-categoriile';
+$lang['return to normal view mode'] = 'Înapoi la vizualizarea normală';
+$lang['display a calendar by posted date'] = 'afişează un calendar în funcţie de data adăugării';
+$lang['Most visited'] = 'Cele mai vizionate';
+$lang['display most visited pictures'] = 'afişează imaginile cele mai vizionate';
+$lang['The number of images per row must be a not null scalar'] = 'Numărul de imagini pe linie trebuie să fie un număr întreg nenul';
+$lang['Number of images per row'] = 'Numărul de miniaturi pe linie';
+$lang['The number of rows per page must be a not null scalar'] = 'Numărul de linii pe pagină trebuie să fie un număr întreg nenul';
+$lang['Number of rows per page'] = 'Numărul de linii pe pagină';
+$lang['Unknown identifier'] = 'Identificator necunoscut ';
+$lang['New password'] = 'Parolă nouă';
+$lang['Rate this picture'] = 'Evaluează aceasta imagine';
+$lang['Next'] = 'Următor(oare)';
+$lang['no rate'] = 'nici o evaluare';
+$lang['Elements posted within the last %d day.'] = 'Elemente postate în ultima %d zi.';
+$lang['Elements posted within the last %d days.'] = 'Elemente postate în ultimele %d zile.';
+$lang['password updated'] = 'parolă actualizată';
+$lang['Recent period must be a positive integer value'] = 'perioada recentă trebuie să fie un număr întreg pozitiv';
+$lang['picture'] = 'imagine';
+$lang['Click on the picture to see it in high definition'] = 'Clicaţi pe imagine pentru a o vedea de înaltă definiţie';
+$lang['Show file metadata'] = 'Arată metadatele fişierului';
+$lang['Powered by'] = 'Realizat de';
+$lang['Preferences'] = 'Preferinţe';
+$lang['Random pictures'] = 'Imagini aleatoare';
+$lang['display a set of random pictures'] = 'afişează un set de imagini aleatoare';
+$lang['Recent categories'] = 'Categorii recente';
+$lang['Recent categories'] = 'Categorii recente';
+$lang['display recently updated categories'] = 'afişează categoriile create  sau actualizate recent ';
+$lang['Recent period'] = 'Recent';
+$lang['Recent pictures'] = 'Imagini recente';
+$lang['display most recent pictures'] = 'afişează cele mai recente imagini';
+$lang['Redirection...'] = 'Redirecţionare...';
+$lang['Please, enter a login'] = 'Vă rugăm, introduceţi un nume de utilizator';
+$lang['login mustn\'t end with a space character'] = 'numele de utilizator nu trebuie să se încheie cu un spaţiu';
+$lang['login mustn\'t start with a space character'] = 'numele de utilizator nu trebuie sa înceapă cu un spaţiu';
+$lang['this login is already used'] = 'acest nume este deja folosit';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'adresa de e-mail trebuie să fie de genul xxx@yyy.eee (de exemplu: jack@altern.org)';
+$lang['please enter your password again'] = 'vă rugăm să introduceţi parola din nou';
+$lang['Auto login'] = 'Conectare automatică';
+$lang['remove this tag from the list'] = 'eliminaţi acesta etichetă de pe lista';
+$lang['representative'] = 'reprezentant';
+$lang['return to homepage'] = 'reveniţi la prima pagină';
+$lang['Search for Author'] = 'Caută autor';
+$lang['Search in Categories'] = 'Caută în categorii';
+$lang['Previous'] = 'Precedent(e)';
+$lang['Search by Date'] = 'Căutare după dată';
+$lang['Date'] = 'Dată';
+$lang['End-Date'] = 'Expiră';
+$lang['Kind of date'] = 'Tip de dată';
+$lang['Search for words'] = 'Caută cuvinte';
+$lang['Search for all terms'] = 'Caută toţi termenii';
+$lang['Search for any terms'] = 'Cauta după oricare dintre termeni';
+$lang['Empty query. No criteria has been entered.'] = 'Interogare goală. Nici un criteriu nu a fost introdus.';
+$lang['Search Options'] = 'Opţiuni de căutare';
+$lang['Search results'] = 'Rezultatele căutării';
+$lang['Search in subcategories'] = 'Caută în sub-categorii';
+$lang['searched words : %s'] = 'cuvinte căutate : %s';
+$lang['Contact'] = 'Contact';
+$lang['set as category representative'] = 'Setaţi ca reprezentant al acestei categorii';
+$lang['Show number of comments'] = 'Arată numărul de comentarii';
+$lang['Show number of hits'] = 'Arată numărul de vizualizări';
+$lang['slideshow'] = 'prezentare';
+$lang['stop the slideshow'] = 'opreşte prezentarea';
+$lang['Specials'] = 'Speciale';
+$lang['SQL queries in'] = 'interogări SQL în';
+$lang['display only recently posted images'] = 'Arată numai elementele publicate recent';
+$lang['return to the display of all images'] = 'reveniţi la afişarea tuturor imaginilor';
+$lang['the beginning'] = 'începutul';
+$lang['Interface theme'] = 'Tema Interfeţei';
+$lang['Thumbnails'] = 'Miniaturi';
+$lang['Menu'] = 'Meniu';
+$lang['A comment on your site'] = 'Un comentariu pe site-ul dvs.';
+$lang['today'] = 'azi';
+$lang['Update your rating'] = 'Actualizaţi evaluarea dvs.';
+$lang['wrong filename'] = 'nume de fişier incorect';
+$lang['the filesize of the picture must not exceed :'] = 'imaginea nu trebuie să depăşească : ';
+$lang['the picture must be to the fileformat jpg, gif or png'] = 'formatul imagini trebuie să fie JPG, PNG sau GIF';
+$lang['the height of the picture must not exceed :'] = 'înălţimea imaginii nu trebuie să depăşească : ';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Opţional, dar recomandat: alege o miniatură pentru a o asocia ';
+$lang['the width of the picture must not exceed :'] = 'lăţimea imaginii nu trebuie să depăşească : ';
+$lang['can\'t upload the picture on the server'] = 'imposibil de a transfera imaginea pe server';
+$lang['the username must be given'] = 'numele utilizatorului trebuie să fie specificat';
+$lang['A picture\'s name already used'] = 'acest fişier există deja';
+$lang['You must choose a picture fileformat for the image'] = 'Formatul de fişier trebuie să fie un format pentru imagini';
+$lang['Name of the picture'] = 'Numele imaginii';
+$lang['Upload a picture'] = 'Adaugă o imagine';
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Imagină adăugată cu succes, un administrator o va valida cât mai curând posibil';
+$lang['useful when password forgotten'] = 'utilă în cazul în care uitaţi parola';
+$lang['Quick search'] = 'Căutare rapidă';
+$lang['Connected user: %s'] = 'Utilizator conectat : %s';
+$lang['IP: %s'] = 'Adresa IP : %s';
+$lang['Browser: %s'] = 'Navigator : %s';
+$lang['Author: %s'] = 'Autor : %s';
+$lang['Comment: %s'] = 'Comentariu : %s';
+$lang['Comment by %s'] = 'Comentarii de %s';
+$lang['User: %s'] = 'Utilizator: %s';
+$lang['Email: %s'] = 'E-mail : %s';
+$lang['Admin: %s'] = 'Administraţie : %s';
+$lang['Registration of %s'] = 'Înregistrare de %s';
+$lang['Category: %s'] = 'Categorie : %s';
+$lang['Picture name: %s'] = 'Numele imaginii : %s';
+$lang['Creation date: %s'] = 'Data creării : %d';
+$lang['Waiting page: %s'] = 'Pagina de aşteptare : %s';
+$lang['Picture uploaded by %s'] = 'Imagine adăugată de %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Statutul utilizatorului "invitat" este eronat, se vor folosi  parametrii impliciţi. Va rugăm sa informaţi webmasterul.';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administratorul, webmasterul şi utilizatorul special nu pot folosi aceasta metodă';
+$lang['a user use already this mail address'] = 'un alt utilizator foloseşte deja acest e-mail';
+$lang['Category results for'] = 'Rezultatele categoriilor pentru';
+$lang['Tag results for'] = 'Rezultatele  etichetelor pentru';
+$lang['from %s to %s'] = 'de la %s până la %s';
+$lang['Play of slideshow'] = 'Startează prezentarea';
+$lang['Pause of slideshow'] = 'Pune pe pauză prezentarea';
+$lang['Repeat the slideshow'] = 'Repetă prezentarea';
+$lang['Not repeat the slideshow'] = 'Nu repeta prezentarea';
+$lang['Reduce diaporama speed'] = 'Încetineşte viteza prezentării';
+$lang['Accelerate diaporama speed'] = 'Accelerează viteza prezentării';
+$lang['Submit'] = 'Execută';
+$lang['Yes'] = 'Da';
+$lang['No'] = 'Nu';
+$lang['%d image'] = '%d imagine';
+$lang['%d images'] = '%d imagini';
+$lang['%d image is also linked to current tags'] = '%d Imaginea este de asemenea legată de etichetele actuale';
+$lang['%d images are also linked to current tags'] = '%d Imaginile sunt de asemenea legate de etichetele actuale';
+$lang['See images linked to this tag only'] = 'Vezi numai imagini legate de această etichetă';
+$lang['images posted during the last %d days'] = 'Imagini adăugate în ultimele %d zile';
+$lang['Choose an image'] = 'Alegeţi o imagine de adăugat';
+$lang['Piwigo Help'] = 'Ajutor pentru Piwigo';
+$lang['Rank'] = 'Rang';
+$lang['group by letters'] = 'regrupează pe litere';
+$lang['letters'] = 'litere';
+$lang['show tag cloud'] = 'arată norul de etichete';
+$lang['cloud'] = 'nor';
+$lang['Reset to default values'] = 'Reveniţi la setările implicite';
+$lang['delete all images from your favorites'] = 'scoate-ţi toate pozele din preferinţele dvs.';
+$lang['Sent by'] = 'Trimis de';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookie-urile sunt blocate sau nu sunt suportate de browser-ul dumneavoastră. Trebuie să activaţi  cookie-urile pentru a vă conecta.';
+$lang['Some info about this picture'] = 'Informaţii despre această imagine';
+$lang['Some more (technical) info about this picture'] = 'Informaţii (tehnice) despre această imagine';
+$lang['edit this comment'] = 'modifică acest comentariu';
+$lang['Edit a comment'] = 'modifică un comentariu';
+$lang['Are you sure?'] = 'Sunteţi sigur(ă) ?';
+$lang['(!) This comment requires validation'] = '(!) Acest comentariu trebuie să fie validat';
+$lang['Welcome'] = 'Bine aţi venit';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Bine aţi venit la galeria dvs. foto Piwigo !';
+$lang['... or browse your empty gallery'] = '... sau navigaţi prin galeria dvs. vidă';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... sau vă rugăm să dezactivaţi acest mesaj, mă voi descurca singur';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Bună ziua %s, galeria dvs. foto Piwigo este vidă !';
+$lang['I want to add photos'] = 'Vreau să adaug poze';
+$lang['Manage this user comment: %s'] = 'Administrează acest comentariu de utilizator: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'Adresa de email lipseşte. Vă rugăm să specificaţi o adresă de e-mail.';
+$lang['This author modified following comment:'] = 'Acest autor a modificat următorul comentariu :';
+$lang['This author removed the comment with id %d'] = 'Acest autor a şters comentariul cu id-ul %d';
+$lang['delete this comment'] = 'şterge acest comentariu';
+$lang['validate this comment'] = 'validează acest comentariu';
+$lang['month'][10] = 'Octombrie';
+$lang['month'][11] = 'Noiembrie';
+$lang['month'][12] = 'Decembrie';
+$lang['month'][1] = 'Ianuarie';
+$lang['month'][2] = 'Februarie';
+$lang['month'][3] = 'Martie';
+$lang['month'][4] = 'Aprilie';
+$lang['month'][5] = 'Mai';
+$lang['month'][6] = 'Iunie';
+$lang['month'][7] = 'Iulie';
+$lang['month'][8] = 'August';
+$lang['month'][9] = 'Septembrie';
+
+?>
Index: trunk/language/ro_RO/index.php
===================================================================
--- trunk/language/ro_RO/index.php	(revision 5760)
+++ trunk/language/ro_RO/index.php	(revision 5760)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: trunk/language/ro_RO/iso.txt
===================================================================
--- trunk/language/ro_RO/iso.txt	(revision 5760)
+++ trunk/language/ro_RO/iso.txt	(revision 5760)
@@ -0,0 +1,1 @@
+Română [RO]