Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php	(revision 5763)
@@ -59,5 +59,5 @@
 // +-----------------------------------------------------------------------+
 $plugin =  PluginInfos(UAM_PATH);
-$version = $plugin['version'] ;
+$version = $plugin['version'];
 
 
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl	(revision 5763)
@@ -535,5 +535,7 @@
   </div>
 </div>
-
+<fieldset>
+  {'UAM_Support_txt'|@translate}
+</fieldset>
 
 <script type="text/javascript">
Index: /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php	(revision 5763)
@@ -167,5 +167,6 @@
             Bug 1572 fixed - Fix unable to read resource: "ConfirmMail.tpl"
             Bug 1574 fixed - Beautifying ConfirmMail page
-            Bug 1576 fixed - Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions.
+            Bug 1576 partially fixed - Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions. There are 2 php functions for mysql still missing for PostgreSql and Sqlite
+            Bug 1586 fixed - Links to official forum topic support and bugtacker were added in plugin's admin page  
 */
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/language/de_DE/plugin.lang.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/language/de_DE/plugin.lang.php	(revision 5763)
@@ -258,5 +258,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
+$lang['reg_err_mail_address_dbl'] = 'Diese E-Mail-Adresse wird bereits verwendet.';
+$lang['UAM_Support_txt'] = 'Die offizielle Unterstützung für dieses Plugin ist nur auf diesem Diskussionsforum von Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Französisch-Forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>oder<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Englisch-Forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/language/en_UK/plugin.lang.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/language/en_UK/plugin.lang.php	(revision 5763)
@@ -255,5 +255,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'Diese E-Mail-Adresse wird bereits verwendet.';
+$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
+$lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>or<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/language/es_ES/plugin.lang.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/language/es_ES/plugin.lang.php	(revision 5763)
@@ -258,4 +258,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Esta dirección de correo electrónico ya se utiliza.';
+$lang['UAM_Support_txt'] = 'El apoyo oficial sobre este plugin es sólo sobre estos tema en el foro de Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Foro Francés - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>o<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Foro Inglés - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+También está disponible, el bugtracker del proyecto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/language/fr_FR/plugin.lang.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/language/fr_FR/plugin.lang.php	(revision 5763)
@@ -255,4 +255,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Cette adresse email est déjà utilisée.';
+$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>ou<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/language/it_IT/plugin.lang.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/language/it_IT/plugin.lang.php	(revision 5763)
@@ -98,5 +98,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.8
 /* Errors and Warnings */
-$lang['mail_exclusionlist_error'] = 'Attenzione! Avete inserito una nuova riga all\'inizio della lista d\'esclusione Email (indicato in rosso qui sotto). Anche se questa nuova riga non è visibile, con la sua presenza potrebbe causare delle disfunzioni del plugin. Si prega di cancellare la riga vuota.';
+$lang['mail_exclusionlist_error'] = 'Attenzione! Avete inserito una nuova riga all\'inizio dell\'elenco d\'esclusione Email (indicato in rosso qui sotto). Anche se questa nuova riga non è visibile, con la sua presenza potrebbe causare delle disfunzioni del plugin. Si prega di cancellare la riga vuota.';
 // --------- End: New or revised $lang ---- from version 2.12.8
 
@@ -237,5 +237,5 @@
               <ol>
                 <li>Aggiungere un nuovo modulo "Blocco Personale : Mostrare il blocco personale (Nota o Editoriale per esempio)"</li>
-                <li>Configurare il modulo, indicandone il titolo (ad esempio, "in attesa di convalida dell\'iscrizione"), la descrizione, ed in fine selezionando solo il gruppo "Attesa" nella lista dei gruppi ammessi</li>
+                <li>Configurare il modulo, indicandone il titolo (ad esempio, "in attesa di convalida dell\'iscrizione"), la descrizione, ed in fine selezionando solo il gruppo "Attesa" nell\'elenco dei gruppi ammessi</li>
                 <li>Completare il contenuto del modulo con il testo da visualizzare per gli utenti non convalidati. Come NBC_UAM, i tag di lingua possono essere utilizzati se il plugin Extended Description è installato ed attivato</li>
                 <li>Selezzionare "Visualizzare il modulo nella homepage del sito"</li>
@@ -258,4 +258,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['reg_err_mail_address_dbl'] = 'Questo indirizzo e-mail è già utilizzato.';
+$lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum francese - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>o<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/maintain.inc.php	(revision 5762)
+++ /extensions/NBC_UserAdvManager/branches/2.15/maintain.inc.php	(revision 5763)
@@ -81,24 +81,19 @@
 /* *********************** */
   clean_obsolete_files();
-
-/* Check if it's a blank installation */
-/* ********************************** */
+  
+  include_once (UAM_PATH.'include/upgradedb.inc.php');
+
+/* Check if old version is < 2.15 */
+/* ****************************** */
 	$query = '
 SELECT param
   FROM '.CONFIG_TABLE.'
-WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-  $count1 = pwg_db_num_rows(pwg_query($query));
-  
-	$query1 = '
-SELECT param
-  FROM '.CONFIG_TABLE.'
-WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-  $count2 = pwg_db_num_rows(pwg_query($query1));
+WHERE param = "nbc_UserAdvManager"
+;';
+  $count = pwg_db_num_rows(pwg_query($query));
 
 /* If old params exist an upgrade is needed */
 /* **************************************** */
-  if ($count1 == 1 or $count2 == 1)
+  if ($count == 1)
   {
 /* Check for upgrade from 2.10 to 2.11 */
@@ -115,5 +110,5 @@
     /* upgrade from branch 2.10 to 2.11 */
     /* ******************************** */
-      upgrade_210();
+      upgrade_210_211();
     }
 
@@ -125,5 +120,5 @@
     /* upgrade from branch 2.11 to 2.12 */
     /* ******************************** */
-  		upgrade_211();
+  		upgrade_211_212();
     }
 
@@ -147,5 +142,5 @@
     /* upgrade from branch 2.12 to 2.13 */
     /* ******************************** */
-      upgrade_212();
+      upgrade_212_213();
     }
 
@@ -157,10 +152,10 @@
     /* upgrade from branch 2.13 to 2.14 */
     /* ******************************** */
-      upgrade_213();
-    }
-  
-
-/* Check for upgrade from 2.14.1 to 2.14.2 */
-/* *************************************** */
+      upgrade_213_214();
+    }
+    
+
+/* Check for upgrade from 2.14 to 2.15 */
+/* *********************************** */
   	$query1 = '
 SELECT param
@@ -179,9 +174,12 @@
     if ($count1 == 1 or $count2 == 1)
     {
-    /* upgrade from branch 2.14.1 to 2.14.2 */
-    /* ************************************ */
-      upgrade_214_1();
+    /* upgrade from branch 2.14 to 2.15 */
+    /* ******************************** */
+      upgrade_214_215();
     }
   }
+  
+/* Check for upgrade from 2.15 to 2.xx */
+/* *********************************** */
 }
 
@@ -217,187 +215,3 @@
   pwg_query( $q );
 }
-
-
-// +----------------------------------------------------------+
-// |       Upgrading database from old plugin versions        |
-// +----------------------------------------------------------+
-
-/* upgrade from branch 2.10 to 2.11 */
-/* ******************************** */
-function upgrade_210()
-{
-	global $conf;
-	  
-  $q = '
-INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("nbc_UserAdvManager_ConfirmMail","false;5;Hello.
-		
-This is a reminder message because you registered on our gallery but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again 5 days to validate your registration.
-
-Note: After this period, your account will be permanently deleted.;false;Hello.
-
-This is a reminder message because you registered on our gallery but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have 2 days to confirm your registration by clicking on the link in the message you should have received when you registered.
-
-Note: After this period, your account will be permanently deleted.","Parametres nbc_UserAdvManager - ConfirmMail")
-  ;';
-  pwg_query($q);
-
-  upgrade_211();
-}
-
-
-/* upgrade from branch 2.11 to 2.12 */
-/* ******************************** */
-function upgrade_211()
-{
-	global $conf;
-
-  $conf_UAM = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-
-  if ((!isset($conf_UAM[14]) and !isset($conf_UAM[15])) and !isset($conf_UAM[16]) and !isset($conf_UAM[17]))
-  {
-    $upgrade_UAM = $conf_UAM[0].';'.$conf_UAM[1].';'.$conf_UAM[2].';'.$conf_UAM[3].';'.$conf_UAM[4].';'.$conf_UAM[5].';'.$conf_UAM[6].';'.$conf_UAM[7].';'.$conf_UAM[8].';'.$conf_UAM[9].';'.$conf_UAM[10].';'.$conf_UAM[11].';'.$conf_UAM[12].';'.$conf_UAM[13].';false;100;false;false;10;Hello.
-	
-This is a reminder because a very long time passed since your last visit on our gallery. If you do not want anymore to use your access account, please let us know by replying to this email. Your account will be deleted.
-
-On receipt of this message and no new visit within 15 days, we would be obliged to automatically delete your account.
-
-Best regards,
-
-The admin of the gallery.';
-		
-		$query = '
-UPDATE '.CONFIG_TABLE.'
-SET value="'.$upgrade_UAM.'"
-WHERE param="nbc_UserAdvManager"
-LIMIT 1
-;';
-		pwg_query($query);
-  }
-  
-	$q = "
-CREATE TABLE IF NOT EXISTS ".USER_LASTVISIT_TABLE." (
-  user_id SMALLINT(5) NOT NULL DEFAULT '0',
-  lastvisit DATETIME NULL DEFAULT NULL,
-  reminder ENUM('true','false') NULL,
-PRIMARY KEY (`user_id`)
-  )
-;";
-  pwg_query($q);
-
-  upgrade_212();
-}
-
-
-/* upgrade from branch 2.12 to 2.13 */
-/* ******************************** */
-function upgrade_212()
-{
-/* Create missing table */
-  $query = "
-ALTER TABLE ".USER_CONFIRM_MAIL_TABLE."
-ADD reminder ENUM('true', 'false') NULL DEFAULT NULL
-;";
-  
-  pwg_query($query);
-
-/* Upgrade plugin configuration */
-	global $conf;
-
-  $conf_UAM = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-
-  if ((!isset($conf_UAM[20])))
-  {
-    $upgrade_UAM = $conf_UAM[0].';'.$conf_UAM[1].';'.$conf_UAM[2].';'.$conf_UAM[3].';'.$conf_UAM[4].';'.$conf_UAM[5].';'.$conf_UAM[6].';'.$conf_UAM[7].';'.$conf_UAM[8].';'.$conf_UAM[9].';'.$conf_UAM[10].';'.$conf_UAM[11].';'.$conf_UAM[12].';'.$conf_UAM[13].';'.$conf_UAM[14].';'.$conf_UAM[15].';'.$conf_UAM[16].';'.$conf_UAM[17].';'.$conf_UAM[18].';'.$conf_UAM[19].';false';
-		
-		$query = '
-UPDATE '.CONFIG_TABLE.'
-SET value="'.$upgrade_UAM.'"
-WHERE param="nbc_UserAdvManager"
-LIMIT 1
-;';
-		pwg_query($query);
-    
-    upgrade_213();
-  }
-}
-
-
-/* upgrade from branch 2.13 to 2.14 */
-/* ******************************** */
-function upgrade_213()
-{
-	global $conf;
-  
-  $conf_UAM = explode(';', $conf['nbc_UserAdvManager']);
-
-  $upgrade_UAM = array($conf_UAM[0],$conf_UAM[1],$conf_UAM[2],$conf_UAM[3],$conf_UAM[4],$conf_UAM[5],$conf_UAM[6],$conf_UAM[7],$conf_UAM[8],$conf_UAM[9],$conf_UAM[10],$conf_UAM[11],$conf_UAM[12],$conf_UAM[13],$conf_UAM[14],$conf_UAM[15],$conf_UAM[16],$conf_UAM[17],$conf_UAM[18],$conf_UAM[19],$conf_UAM[20],'false');
-
-  $query = '
-UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($upgrade_UAM)).'"
-  WHERE param = "nbc_UserAdvManager"
-;';
-  pwg_query($query);
-  
-  if (unserialize($conf['nbc_UserAdvManager_ConfirmMail']) === false)
-  {
-    $data = explode(';', $conf['nbc_UserAdvManager_ConfirmMail']);
-
-    $query = '
-UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($data)).'"
-  WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-    pwg_query($query);
-    
-    upgrade_214_1();
-  }
-}
-
-function upgrade_214_1()
-{
-  global $conf;
-
-/* Changing parameter name */
-  $q = '
-UPDATE '.CONFIG_TABLE.'
-SET param = "UserAdvManager"
-WHERE param = "nbc_UserAdvManager"
-;';
-  pwg_query($q);
-  
-  $q = '
-UPDATE '.CONFIG_TABLE.'
-SET param = "UserAdvManager_ConfirmMail"
-WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-  pwg_query($q);
-
-/* Upgrading ConfirmMail options */
-  $query = '
-SELECT value
-  FROM '.CONFIG_TABLE.'
-WHERE param = "UserAdvManager_ConfirmMail"
-;';
-
-  $result = pwg_query($query);
-  $conf_UAM_ConfirmMail = pwg_db_fetch_assoc($result);
-    
-  $conf_ConfirmMail = unserialize($conf_UAM_ConfirmMail['value']);
-  
-  $conf_ConfirmMail[5] ='Thank you to have confirmed your email address and your registration on the gallery. Have fun !';
-  $conf_ConfirmMail[6] ='Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.';
-  
-  $update_conf = serialize($conf_ConfirmMail);
-    
-  $query = '
-      UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($update_conf).'"
-			WHERE param="UserAdvManager_ConfirmMail"
-			LIMIT 1
-		;';
-
-		pwg_query($query);
-}
 ?>